React Card Component

Card

React card component provides a flexible and extensible container for displaying content. Card is delivered with a bunch of variants and options.

Available in Other JavaScript Frameworks

CoreUI React Card Component is also available for Angular, Bootstrap, and Vue. Explore framework-specific implementations below:

About

A react card component is a content container. It incorporates options for images, headers, and footers, a wide variety of content, contextual background colors, and excellent display options.

Example

Cards are built with as little markup and styles as possible but still manage to deliver a bunch of control and customization. Built with flexbox, they offer easy alignment and mix well with other CoreUI components. Cards have no top, left, and right margins by default, so use spacing utilities as needed. They have no fixed width to start, so they’ll fill the full width of its parent.

Below is an example of a basic card with mixed content and a fixed width. Cards have no fixed width to start, so they’ll naturally fill the full width of its parent element.

import React from 'react'
import { CButton, CCard, CCardBody, CCardImage, CCardText, CCardTitle } from '@coreui/react'

export const CardExample = () => {
  return (
    <CCard style={{ width: '18rem' }}>
      <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
      <CCardBody>
        <CCardTitle>Card title</CCardTitle>
        <CCardText>
          Some quick example text to build on the card title and make up the bulk of the card's
          content.
        </CCardText>
        <CButton color="primary" href="#">
          Go somewhere
        </CButton>
      </CCardBody>
    </CCard>
  )
}
import React from 'react'
import { CButton, CCard, CCardBody, CCardImage, CCardText, CCardTitle } from '@coreui/react'

export const CardExample = () => {
  return (
    <CCard style={{ width: '18rem' }}>
      <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
      <CCardBody>
        <CCardTitle>Card title</CCardTitle>
        <CCardText>
          Some quick example text to build on the card title and make up the bulk of the card's
          content.
        </CCardText>
        <CButton color="primary" href="#">
          Go somewhere
        </CButton>
      </CCardBody>
    </CCard>
  )
}

Content types

CoreUI card supports a wide variety of content, including images, text, list groups, links, and more. Below are examples of those elements.

Body

The main block of a card is the <CCardBody>. Use it whenever you need a padded section within a card.

import React from 'react'
import { CCard, CCardBody } from '@coreui/react'

export const CardBodyExample = () => {
  return (
    <CCard>
      <CCardBody>This is some text within a card body.</CCardBody>
    </CCard>
  )
}
import React from 'react'
import { CCard, CCardBody } from '@coreui/react'

export const CardBodyExample = () => {
  return (
    <CCard>
      <CCardBody>This is some text within a card body.</CCardBody>
    </CCard>
  )
}

Card titles are managed by <CCardTitle> component. Identically, links are attached and collected next to each other by <CCardLink> component.

Subtitles are managed by <CCardSubtitle> component. If the <CCardTitle> also, the <CCardSubtitle> items are stored in a <CCardBody> item, the card title, and subtitle are arranged rightly.

import React from 'react'
import { CCard, CCardBody, CCardLink, CCardSubtitle, CCardText, CCardTitle } from '@coreui/react'

export const CardTitleExample = () => {
  return (
    <CCard style={{ width: '18rem' }}>
      <CCardBody>
        <CCardTitle>Card title</CCardTitle>
        <CCardSubtitle className="mb-2 text-body-secondary">Card subtitle</CCardSubtitle>
        <CCardText>
          Some quick example text to build on the card title and make up the bulk of the card's
          content.
        </CCardText>
        <CCardLink href="#">Card link</CCardLink>
        <CCardLink href="#">Another link</CCardLink>
      </CCardBody>
    </CCard>
  )
}
import React from 'react'
import { CCard, CCardBody, CCardLink, CCardSubtitle, CCardText, CCardTitle } from '@coreui/react'

export const CardTitleExample = () => {
  return (
    <CCard style={{ width: '18rem' }}>
      <CCardBody>
        <CCardTitle>Card title</CCardTitle>
        <CCardSubtitle className="mb-2 text-body-secondary">Card subtitle</CCardSubtitle>
        <CCardText>
          Some quick example text to build on the card title and make up the bulk of the card's
          content.
        </CCardText>
        <CCardLink href="#">Card link</CCardLink>
        <CCardLink href="#">Another link</CCardLink>
      </CCardBody>
    </CCard>
  )
}

Images

orientation="top" places a picture to the top of the card. With <CCardText>, text can be added to the card. Text within <CCardText> can additionally be styled with the regular HTML tags.

import React from 'react'
import { CCard, CCardBody, CCardImage, CCardText } from '@coreui/react'

export const CardImagesExample = () => {
  return (
    <CCard style={{ width: '18rem' }}>
      <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
      <CCardBody>
        <CCardText>
          Some quick example text to build on the card title and make up the bulk of the card's
          content.
        </CCardText>
      </CCardBody>
    </CCard>
  )
}
import React from 'react'
import { CCard, CCardBody, CCardImage, CCardText } from '@coreui/react'

export const CardImagesExample = () => {
  return (
    <CCard style={{ width: '18rem' }}>
      <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
      <CCardBody>
        <CCardText>
          Some quick example text to build on the card title and make up the bulk of the card's
          content.
        </CCardText>
      </CCardBody>
    </CCard>
  )
}

List groups

Create lists of content in a card with a flush list group.

import React from 'react'
import { CCard, CListGroup, CListGroupItem } from '@coreui/react'

export const CardListGroupsExample = () => {
  return (
    <CCard style={{ width: '18rem' }}>
      <CListGroup flush>
        <CListGroupItem>Cras justo odio</CListGroupItem>
        <CListGroupItem>Dapibus ac facilisis in</CListGroupItem>
        <CListGroupItem>Vestibulum at eros</CListGroupItem>
      </CListGroup>
    </CCard>
  )
}
import React from 'react'
import { CCard, CListGroup, CListGroupItem } from '@coreui/react'

export const CardListGroupsExample = () => {
  return (
    <CCard style={{ width: '18rem' }}>
      <CListGroup flush>
        <CListGroupItem>Cras justo odio</CListGroupItem>
        <CListGroupItem>Dapibus ac facilisis in</CListGroupItem>
        <CListGroupItem>Vestibulum at eros</CListGroupItem>
      </CListGroup>
    </CCard>
  )
}
import React from 'react'
import { CCard, CCardHeader, CListGroup, CListGroupItem } from '@coreui/react'

export const CardListGroups2Example = () => {
  return (
    <CCard style={{ width: '18rem' }}>
      <CCardHeader>Header</CCardHeader>
      <CListGroup flush>
        <CListGroupItem>Cras justo odio</CListGroupItem>
        <CListGroupItem>Dapibus ac facilisis in</CListGroupItem>
        <CListGroupItem>Vestibulum at eros</CListGroupItem>
      </CListGroup>
    </CCard>
  )
}
import React from 'react'
import { CCard, CCardHeader, CListGroup, CListGroupItem } from '@coreui/react'

export const CardListGroups2Example = () => {
  return (
    <CCard style={{ width: '18rem' }}>
      <CCardHeader>Header</CCardHeader>
      <CListGroup flush>
        <CListGroupItem>Cras justo odio</CListGroupItem>
        <CListGroupItem>Dapibus ac facilisis in</CListGroupItem>
        <CListGroupItem>Vestibulum at eros</CListGroupItem>
      </CListGroup>
    </CCard>
  )
}
import React from 'react'
import { CCard, CCardFooter, CListGroup, CListGroupItem } from '@coreui/react'

export const CardListGroups3Example = () => {
  return (
    <CCard style={{ width: '18rem' }}>
      <CListGroup flush>
        <CListGroupItem>Cras justo odio</CListGroupItem>
        <CListGroupItem>Dapibus ac facilisis in</CListGroupItem>
        <CListGroupItem>Vestibulum at eros</CListGroupItem>
      </CListGroup>
      <CCardFooter>Footer</CCardFooter>
    </CCard>
  )
}
import React from 'react'
import { CCard, CCardFooter, CListGroup, CListGroupItem } from '@coreui/react'

export const CardListGroups3Example = () => {
  return (
    <CCard style={{ width: '18rem' }}>
      <CListGroup flush>
        <CListGroupItem>Cras justo odio</CListGroupItem>
        <CListGroupItem>Dapibus ac facilisis in</CListGroupItem>
        <CListGroupItem>Vestibulum at eros</CListGroupItem>
      </CListGroup>
      <CCardFooter>Footer</CCardFooter>
    </CCard>
  )
}

Kitchen sink

Combine and match many content types to build the card you need, or throw everything in there. Shown below are image styles, blocks, text styles, and a list group—all wrapped in a fixed-width card.

import React from 'react'
import {
  CCard,
  CCardBody,
  CCardImage,
  CCardLink,
  CCardText,
  CCardTitle,
  CListGroup,
  CListGroupItem,
} from '@coreui/react'

export const CardKitchenSinkExample = () => {
  return (
    <CCard style={{ width: '18rem' }}>
      <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
      <CCardBody>
        <CCardTitle>Card title</CCardTitle>
        <CCardText>
          Some quick example text to build on the card title and make up the bulk of the card's
          content.
        </CCardText>
      </CCardBody>
      <CListGroup flush>
        <CListGroupItem>Cras justo odio</CListGroupItem>
        <CListGroupItem>Dapibus ac facilisis in</CListGroupItem>
        <CListGroupItem>Vestibulum at eros</CListGroupItem>
      </CListGroup>
      <CCardBody>
        <CCardLink href="#">Card link</CCardLink>
        <CCardLink href="#">Another link</CCardLink>
      </CCardBody>
    </CCard>
  )
}
import React from 'react'
import {
  CCard,
  CCardBody,
  CCardImage,
  CCardLink,
  CCardText,
  CCardTitle,
  CListGroup,
  CListGroupItem,
} from '@coreui/react'

export const CardKitchenSinkExample = () => {
  return (
    <CCard style={{ width: '18rem' }}>
      <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
      <CCardBody>
        <CCardTitle>Card title</CCardTitle>
        <CCardText>
          Some quick example text to build on the card title and make up the bulk of the card's
          content.
        </CCardText>
      </CCardBody>
      <CListGroup flush>
        <CListGroupItem>Cras justo odio</CListGroupItem>
        <CListGroupItem>Dapibus ac facilisis in</CListGroupItem>
        <CListGroupItem>Vestibulum at eros</CListGroupItem>
      </CListGroup>
      <CCardBody>
        <CCardLink href="#">Card link</CCardLink>
        <CCardLink href="#">Another link</CCardLink>
      </CCardBody>
    </CCard>
  )
}

Add an optional header and/or footer within a card.

import React from 'react'
import { CButton, CCard, CCardBody, CCardHeader, CCardText, CCardTitle } from '@coreui/react'

export const CardHeaderExample = () => {
  return (
    <CCard>
      <CCardHeader>Header</CCardHeader>
      <CCardBody>
        <CCardTitle>Special title treatment</CCardTitle>
        <CCardText>
          With supporting text below as a natural lead-in to additional content.
        </CCardText>
        <CButton color="primary" href="#">
          Go somewhere
        </CButton>
      </CCardBody>
    </CCard>
  )
}
import React from 'react'
import { CButton, CCard, CCardBody, CCardHeader, CCardText, CCardTitle } from '@coreui/react'

export const CardHeaderExample = () => {
  return (
    <CCard>
      <CCardHeader>Header</CCardHeader>
      <CCardBody>
        <CCardTitle>Special title treatment</CCardTitle>
        <CCardText>
          With supporting text below as a natural lead-in to additional content.
        </CCardText>
        <CButton color="primary" href="#">
          Go somewhere
        </CButton>
      </CCardBody>
    </CCard>
  )
}

Card headers can be styled by adding ex. as="h5".

import React from 'react'
import { CButton, CCard, CCardBody, CCardHeader, CCardText, CCardTitle } from '@coreui/react'

export const CardHeader2Example = () => {
  return (
    <CCard>
      <CCardHeader as="h5">Header</CCardHeader>
      <CCardBody>
        <CCardTitle>Special title treatment</CCardTitle>
        <CCardText>
          With supporting text below as a natural lead-in to additional content.
        </CCardText>
        <CButton color="primary" href="#">
          Go somewhere
        </CButton>
      </CCardBody>
    </CCard>
  )
}
import React from 'react'
import { CButton, CCard, CCardBody, CCardHeader, CCardText, CCardTitle } from '@coreui/react'

export const CardHeader2Example = () => {
  return (
    <CCard>
      <CCardHeader as="h5">Header</CCardHeader>
      <CCardBody>
        <CCardTitle>Special title treatment</CCardTitle>
        <CCardText>
          With supporting text below as a natural lead-in to additional content.
        </CCardText>
        <CButton color="primary" href="#">
          Go somewhere
        </CButton>
      </CCardBody>
    </CCard>
  )
}
import React from 'react'
import { CCard, CCardBody, CCardHeader } from '@coreui/react'

export const CardHeader3Example = () => {
  return (
    <CCard>
      <CCardHeader>Quote</CCardHeader>
      <CCardBody>
        <blockquote className="blockquote mb-0">
          <p>
            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.
          </p>
          <footer className="blockquote-footer">
            Someone famous in <cite title="Source Title">Source Title</cite>
          </footer>
        </blockquote>
      </CCardBody>
    </CCard>
  )
}
import React from 'react'
import { CCard, CCardBody, CCardHeader } from '@coreui/react'

export const CardHeader3Example = () => {
  return (
    <CCard>
      <CCardHeader>Quote</CCardHeader>
      <CCardBody>
        <blockquote className="blockquote mb-0">
          <p>
            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.
          </p>
          <footer className="blockquote-footer">
            Someone famous in <cite title="Source Title">Source Title</cite>
          </footer>
        </blockquote>
      </CCardBody>
    </CCard>
  )
}
import React from 'react'
import {
  CButton,
  CCard,
  CCardBody,
  CCardFooter,
  CCardHeader,
  CCardText,
  CCardTitle,
} from '@coreui/react'

export const CardHeaderAndFooterExample = () => {
  return (
    <CCard className="text-center">
      <CCardHeader>Header</CCardHeader>
      <CCardBody>
        <CCardTitle>Special title treatment</CCardTitle>
        <CCardText>
          With supporting text below as a natural lead-in to additional content.
        </CCardText>
        <CButton color="primary" href="#">
          Go somewhere
        </CButton>
      </CCardBody>
      <CCardFooter className="text-body-secondary">2 days ago</CCardFooter>
    </CCard>
  )
}
import React from 'react'
import {
  CButton,
  CCard,
  CCardBody,
  CCardFooter,
  CCardHeader,
  CCardText,
  CCardTitle,
} from '@coreui/react'

export const CardHeaderAndFooterExample = () => {
  return (
    <CCard className="text-center">
      <CCardHeader>Header</CCardHeader>
      <CCardBody>
        <CCardTitle>Special title treatment</CCardTitle>
        <CCardText>
          With supporting text below as a natural lead-in to additional content.
        </CCardText>
        <CButton color="primary" href="#">
          Go somewhere
        </CButton>
      </CCardBody>
      <CCardFooter className="text-body-secondary">2 days ago</CCardFooter>
    </CCard>
  )
}

Sizing

Cards assume no specific width to start, so they’ll be 100% wide unless otherwise stated. You can adjust this as required with custom CSS, grid classes, grid Sass mixins, or services.

Using grid markup

Using the grid, wrap cards in columns and rows as needed.

import React from 'react'
import { CButton, CCard, CCardBody, CCardText, CCardTitle, CCol, CRow } from '@coreui/react'

export const CardSizingExample = () => {
  return (
    <CRow>
      <CCol sm={6}>
        <CCard>
          <CCardBody>
            <CCardTitle>Special title treatment</CCardTitle>
            <CCardText>
              With supporting text below as a natural lead-in to additional content.
            </CCardText>
            <CButton color="primary" href="#">
              Go somewhere
            </CButton>
          </CCardBody>
        </CCard>
      </CCol>
      <CCol sm={6}>
        <CCard>
          <CCardBody>
            <CCardTitle>Special title treatment</CCardTitle>
            <CCardText>
              With supporting text below as a natural lead-in to additional content.
            </CCardText>
            <CButton color="primary" href="#">
              Go somewhere
            </CButton>
          </CCardBody>
        </CCard>
      </CCol>
    </CRow>
  )
}
import React from 'react'
import { CButton, CCard, CCardBody, CCardText, CCardTitle, CCol, CRow } from '@coreui/react'

export const CardSizingExample = () => {
  return (
    <CRow>
      <CCol sm={6}>
        <CCard>
          <CCardBody>
            <CCardTitle>Special title treatment</CCardTitle>
            <CCardText>
              With supporting text below as a natural lead-in to additional content.
            </CCardText>
            <CButton color="primary" href="#">
              Go somewhere
            </CButton>
          </CCardBody>
        </CCard>
      </CCol>
      <CCol sm={6}>
        <CCard>
          <CCardBody>
            <CCardTitle>Special title treatment</CCardTitle>
            <CCardText>
              With supporting text below as a natural lead-in to additional content.
            </CCardText>
            <CButton color="primary" href="#">
              Go somewhere
            </CButton>
          </CCardBody>
        </CCard>
      </CCol>
    </CRow>
  )
}

Using utilities

Use some of available sizing utilities to rapidly set a card’s width.

import React from 'react'
import { CButton, CCard, CCardBody, CCardText, CCardTitle } from '@coreui/react'

export const CardSizing2Example = () => {
  return (
    <>
      <CCard className="w-75 mb-3">
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            With supporting text below as a natural lead-in to additional content.
          </CCardText>
          <CButton color="primary" href="#">
            Go somewhere
          </CButton>
        </CCardBody>
      </CCard>
      <CCard className="w-50">
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            With supporting text below as a natural lead-in to additional content.
          </CCardText>
          <CButton color="primary" href="#">
            Go somewhere
          </CButton>
        </CCardBody>
      </CCard>
    </>
  )
}
import React from 'react'
import { CButton, CCard, CCardBody, CCardText, CCardTitle } from '@coreui/react'

export const CardSizing2Example = () => {
  return (
    <>
      <CCard className="w-75 mb-3">
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            With supporting text below as a natural lead-in to additional content.
          </CCardText>
          <CButton color="primary" href="#">
            Go somewhere
          </CButton>
        </CCardBody>
      </CCard>
      <CCard className="w-50">
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            With supporting text below as a natural lead-in to additional content.
          </CCardText>
          <CButton color="primary" href="#">
            Go somewhere
          </CButton>
        </CCardBody>
      </CCard>
    </>
  )
}

Using custom CSS

Use custom CSS in your stylesheets or as inline styles to set a width.

import React from 'react'
import { CButton, CCard, CCardBody, CCardText, CCardTitle } from '@coreui/react'

export const CardSizing3Example = () => {
  return (
    <CCard style={{ width: '18rem' }}>
      <CCardBody>
        <CCardTitle>Special title treatment</CCardTitle>
        <CCardText>
          With supporting text below as a natural lead-in to additional content.
        </CCardText>
        <CButton color="primary" href="#">
          Go somewhere
        </CButton>
      </CCardBody>
    </CCard>
  )
}
import React from 'react'
import { CButton, CCard, CCardBody, CCardText, CCardTitle } from '@coreui/react'

export const CardSizing3Example = () => {
  return (
    <CCard style={{ width: '18rem' }}>
      <CCardBody>
        <CCardTitle>Special title treatment</CCardTitle>
        <CCardText>
          With supporting text below as a natural lead-in to additional content.
        </CCardText>
        <CButton color="primary" href="#">
          Go somewhere
        </CButton>
      </CCardBody>
    </CCard>
  )
}

Text alignment

You can instantly change the text arrangement of any card—in its whole or specific parts—with text align classes.

import React from 'react'
import { CButton, CCard, CCardBody, CCardText, CCardTitle } from '@coreui/react'

export const CardTextAlignmentExample = () => {
  return (
    <>
      <CCard className="mb-3" style={{ width: '18rem' }}>
        <CCardBody>
          <CCardTitle>Special title treatment</CCardTitle>
          <CCardText>
            With supporting text below as a natural lead-in to additional content.
          </CCardText>
          <CButton color="primary" href="#">
            Go somewhere
          </CButton>
        </CCardBody>
      </CCard>
      <CCard className="mb-3 text-center" style={{ width: '18rem' }}>
        <CCardBody>
          <CCardTitle>Special title treatment</CCardTitle>
          <CCardText>
            With supporting text below as a natural lead-in to additional content.
          </CCardText>
          <CButton color="primary" href="#">
            Go somewhere
          </CButton>
        </CCardBody>
      </CCard>
      <CCard className="text-end" style={{ width: '18rem' }}>
        <CCardBody>
          <CCardTitle>Special title treatment</CCardTitle>
          <CCardText>
            With supporting text below as a natural lead-in to additional content.
          </CCardText>
          <CButton color="primary" href="#">
            Go somewhere
          </CButton>
        </CCardBody>
      </CCard>
    </>
  )
}
import React from 'react'
import { CButton, CCard, CCardBody, CCardText, CCardTitle } from '@coreui/react'

export const CardTextAlignmentExample = () => {
  return (
    <>
      <CCard className="mb-3" style={{ width: '18rem' }}>
        <CCardBody>
          <CCardTitle>Special title treatment</CCardTitle>
          <CCardText>
            With supporting text below as a natural lead-in to additional content.
          </CCardText>
          <CButton color="primary" href="#">
            Go somewhere
          </CButton>
        </CCardBody>
      </CCard>
      <CCard className="mb-3 text-center" style={{ width: '18rem' }}>
        <CCardBody>
          <CCardTitle>Special title treatment</CCardTitle>
          <CCardText>
            With supporting text below as a natural lead-in to additional content.
          </CCardText>
          <CButton color="primary" href="#">
            Go somewhere
          </CButton>
        </CCardBody>
      </CCard>
      <CCard className="text-end" style={{ width: '18rem' }}>
        <CCardBody>
          <CCardTitle>Special title treatment</CCardTitle>
          <CCardText>
            With supporting text below as a natural lead-in to additional content.
          </CCardText>
          <CButton color="primary" href="#">
            Go somewhere
          </CButton>
        </CCardBody>
      </CCard>
    </>
  )
}

Add some navigation to a <CCardHeader> with our <CNav> component.

import React from 'react'
import {
  CButton,
  CCard,
  CCardBody,
  CCardHeader,
  CCardText,
  CCardTitle,
  CNav,
  CNavItem,
  CNavLink,
} from '@coreui/react'

export const CardNavigationExample = () => {
  return (
    <CCard className="text-center">
      <CCardHeader>
        <CNav variant="tabs" className="card-header-tabs">
          <CNavItem>
            <CNavLink href="#" active>
              Active
            </CNavLink>
          </CNavItem>
          <CNavItem>
            <CNavLink href="#">Link</CNavLink>
          </CNavItem>
          <CNavItem>
            <CNavLink href="#" disabled>
              Disabled
            </CNavLink>
          </CNavItem>
        </CNav>
      </CCardHeader>
      <CCardBody>
        <CCardTitle>Special title treatment</CCardTitle>
        <CCardText>
          With supporting text below as a natural lead-in to additional content.
        </CCardText>
        <CButton color="primary" href="#">
          Go somewhere
        </CButton>
      </CCardBody>
    </CCard>
  )
}
import React from 'react'
import {
  CButton,
  CCard,
  CCardBody,
  CCardHeader,
  CCardText,
  CCardTitle,
  CNav,
  CNavItem,
  CNavLink,
} from '@coreui/react'

export const CardNavigationExample = () => {
  return (
    <CCard className="text-center">
      <CCardHeader>
        <CNav variant="tabs" className="card-header-tabs">
          <CNavItem>
            <CNavLink href="#" active>
              Active
            </CNavLink>
          </CNavItem>
          <CNavItem>
            <CNavLink href="#">Link</CNavLink>
          </CNavItem>
          <CNavItem>
            <CNavLink href="#" disabled>
              Disabled
            </CNavLink>
          </CNavItem>
        </CNav>
      </CCardHeader>
      <CCardBody>
        <CCardTitle>Special title treatment</CCardTitle>
        <CCardText>
          With supporting text below as a natural lead-in to additional content.
        </CCardText>
        <CButton color="primary" href="#">
          Go somewhere
        </CButton>
      </CCardBody>
    </CCard>
  )
}
import React from 'react'
import {
  CButton,
  CCard,
  CCardBody,
  CCardHeader,
  CCardText,
  CCardTitle,
  CNav,
  CNavItem,
  CNavLink,
} from '@coreui/react'

export const CardNavigation2Example = () => {
  return (
    <CCard className="text-center">
      <CCardHeader>
        <CNav variant="pills" className="card-header-pills">
          <CNavItem>
            <CNavLink href="#" active>
              Active
            </CNavLink>
          </CNavItem>
          <CNavItem>
            <CNavLink href="#">Link</CNavLink>
          </CNavItem>
          <CNavItem>
            <CNavLink href="#" disabled>
              Disabled
            </CNavLink>
          </CNavItem>
        </CNav>
      </CCardHeader>
      <CCardBody>
        <CCardTitle>Special title treatment</CCardTitle>
        <CCardText>
          With supporting text below as a natural lead-in to additional content.
        </CCardText>
        <CButton color="primary" href="#">
          Go somewhere
        </CButton>
      </CCardBody>
    </CCard>
  )
}
import React from 'react'
import {
  CButton,
  CCard,
  CCardBody,
  CCardHeader,
  CCardText,
  CCardTitle,
  CNav,
  CNavItem,
  CNavLink,
} from '@coreui/react'

export const CardNavigation2Example = () => {
  return (
    <CCard className="text-center">
      <CCardHeader>
        <CNav variant="pills" className="card-header-pills">
          <CNavItem>
            <CNavLink href="#" active>
              Active
            </CNavLink>
          </CNavItem>
          <CNavItem>
            <CNavLink href="#">Link</CNavLink>
          </CNavItem>
          <CNavItem>
            <CNavLink href="#" disabled>
              Disabled
            </CNavLink>
          </CNavItem>
        </CNav>
      </CCardHeader>
      <CCardBody>
        <CCardTitle>Special title treatment</CCardTitle>
        <CCardText>
          With supporting text below as a natural lead-in to additional content.
        </CCardText>
        <CButton color="primary" href="#">
          Go somewhere
        </CButton>
      </CCardBody>
    </CCard>
  )
}

Images

Cards introduce several options for acting with images. Pick from appending “image caps” at either end of a card, overlaying images with content, or just inserting the image in a card.

Image caps

Similar to headers and footers, cards can include top and bottom “image caps”—images at the top or bottom of a card.

import React from 'react'
import { CCard, CCardBody, CCardImage, CCardText, CCardTitle } from '@coreui/react'

export const CardImageCapsExample = () => {
  return (
    <>
      <CCard className="mb-3">
        <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.
          </CCardText>
          <CCardText>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardText>
        </CCardBody>
      </CCard>
      <CCard className="mb-3">
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.
          </CCardText>
          <CCardText>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardText>
        </CCardBody>
        <CCardImage orientation="bottom" src={'/assets/img/react.jpg'} />
      </CCard>
    </>
  )
}
import React from 'react'
import { CCard, CCardBody, CCardImage, CCardText, CCardTitle } from '@coreui/react'

export const CardImageCapsExample = () => {
  return (
    <>
      <CCard className="mb-3">
        <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.
          </CCardText>
          <CCardText>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardText>
        </CCardBody>
      </CCard>
      <CCard className="mb-3">
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.
          </CCardText>
          <CCardText>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardText>
        </CCardBody>
        <CCardImage orientation="bottom" src={'/assets/img/react.jpg'} />
      </CCard>
    </>
  )
}

Image overlays

Adapt an image into a background and overlay your text. Depending on the image, you may need additional styles or utilities.

import React from 'react'
import { CCard, CCardImage, CCardImageOverlay, CCardText, CCardTitle } from '@coreui/react'

export const CardImageOverlaysExample = () => {
  return (
    <CCard className="mb-3 bg-dark text-white">
      <CCardImage src={'/assets/img/react.jpg'} />
      <CCardImageOverlay className="d-flex flex-column align-items-center justify-content-center">
        <CCardTitle>Card title</CCardTitle>
        <CCardText>
          This is a wider card with supporting text below as a natural lead-in to additional
          content. This content is a little bit longer.
        </CCardText>
        <CCardText>Last updated 3 mins ago</CCardText>
      </CCardImageOverlay>
    </CCard>
  )
}
import React from 'react'
import { CCard, CCardImage, CCardImageOverlay, CCardText, CCardTitle } from '@coreui/react'

export const CardImageOverlaysExample = () => {
  return (
    <CCard className="mb-3 bg-dark text-white">
      <CCardImage src={'/assets/img/react.jpg'} />
      <CCardImageOverlay className="d-flex flex-column align-items-center justify-content-center">
        <CCardTitle>Card title</CCardTitle>
        <CCardText>
          This is a wider card with supporting text below as a natural lead-in to additional
          content. This content is a little bit longer.
        </CCardText>
        <CCardText>Last updated 3 mins ago</CCardText>
      </CCardImageOverlay>
    </CCard>
  )
}

Horizontal

Using a combination of grid and utility classes, cards can be made horizontal in a mobile-friendly and responsive way. In the example below, we remove the grid gutters with .g-0 and use .col-md-* classes to make the card horizontal at the md breakpoint. Further adjustments may be needed depending on your card content.

import React from 'react'
import { CCard, CCardBody, CCardImage, CCardText, CCardTitle, CCol, CRow } from '@coreui/react'

export const CardImageHorizontalExample = () => {
  return (
    <CCard className="mb-3" style={{ maxWidth: '540px' }}>
      <CRow className="g-0">
        <CCol md={4}>
          <CCardImage src={'/assets/img/react400.jpg'} />
        </CCol>
        <CCol md={8}>
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
            <CCardText>
              <small className="text-body-secondary">Last updated 3 mins ago</small>
            </CCardText>
          </CCardBody>
        </CCol>
      </CRow>
    </CCard>
  )
}
import React from 'react'
import { CCard, CCardBody, CCardImage, CCardText, CCardTitle, CCol, CRow } from '@coreui/react'

export const CardImageHorizontalExample = () => {
  return (
    <CCard className="mb-3" style={{ maxWidth: '540px' }}>
      <CRow className="g-0">
        <CCol md={4}>
          <CCardImage src={'/assets/img/react400.jpg'} />
        </CCol>
        <CCol md={8}>
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
            <CCardText>
              <small className="text-body-secondary">Last updated 3 mins ago</small>
            </CCardText>
          </CCardBody>
        </CCol>
      </CRow>
    </CCard>
  )
}

Card styles

Cards include various options for customizing their backgrounds, borders, and color.

Background and color

Use color property to change the appearance of a card.

import React from 'react'
import { CCard, CCardBody, CCardHeader, CCardText, CCardTitle, CCol, CRow } from '@coreui/react'

export const CardStylesBackgroundAndColorExample = () => {
  const colors = [
    { color: 'primary' },
    { color: 'secondary' },
    { color: 'success' },
    { color: 'danger' },
    { color: 'warning' },
    { color: 'info' },
    { color: 'light' },
    { color: 'dark' },
  ]

  return (
    <CRow>
      {colors.map((item, index) => (
        <CCol sm={6} key={index}>
          <CCard textBgColor={item.color} className="mb-3">
            <CCardHeader>Header</CCardHeader>
            <CCardBody>
              <CCardTitle>{item.color} card title</CCardTitle>
              <CCardText>
                Some quick example text to build on the card title and make up the bulk of the
                card's content.
              </CCardText>
            </CCardBody>
          </CCard>
        </CCol>
      ))}
    </CRow>
  )
}
import React from 'react'
import { CCard, CCardBody, CCardHeader, CCardText, CCardTitle, CCol, CRow } from '@coreui/react'

export const CardStylesBackgroundAndColorExample = () => {
  const colors = [
    { color: 'primary' },
    { color: 'secondary' },
    { color: 'success' },
    { color: 'danger' },
    { color: 'warning' },
    { color: 'info' },
    { color: 'light' },
    { color: 'dark' },
  ]

  return (
    <CRow>
      {colors.map((item, index) => (
        <CCol sm={6} key={index}>
          <CCard textBgColor={item.color} className="mb-3">
            <CCardHeader>Header</CCardHeader>
            <CCardBody>
              <CCardTitle>{item.color} card title</CCardTitle>
              <CCardText>
                Some quick example text to build on the card title and make up the bulk of the
                card's content.
              </CCardText>
            </CCardBody>
          </CCard>
        </CCol>
      ))}
    </CRow>
  )
}

Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Please ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the .visually-hidden class.

Border

Use border utilities to change just the border-color of a card. Note that you can set textColor property on the <CCard> or a subset of the card’s contents as shown below.

import React from 'react'
import { CCard, CCardBody, CCardHeader, CCardText, CCardTitle, CCol, CRow } from '@coreui/react'

export const CardStylesBorderExample = () => {
  const colors = [
    { color: 'primary', textColor: 'primary' },
    { color: 'secondary', textColor: 'secondary' },
    { color: 'success', textColor: 'success' },
    { color: 'danger', textColor: 'danger' },
    { color: 'warning', textColor: 'warning' },
    { color: 'info', textColor: 'info' },
    { color: 'dark', textColor: 'dark' },
  ]

  return (
    <CRow>
      {colors.map((item, index) => (
        <CCol sm={6} key={index}>
          <CCard textColor={item.textColor} className={`mb-3 border-${item.color}`}>
            <CCardHeader>Header</CCardHeader>
            <CCardBody>
              <CCardTitle>{item.color} card title</CCardTitle>
              <CCardText>
                Some quick example text to build on the card title and make up the bulk of the
                card's content.
              </CCardText>
            </CCardBody>
          </CCard>
        </CCol>
      ))}
    </CRow>
  )
}
import React from 'react'
import { CCard, CCardBody, CCardHeader, CCardText, CCardTitle, CCol, CRow } from '@coreui/react'

export const CardStylesBorderExample = () => {
  const colors = [
    { color: 'primary', textColor: 'primary' },
    { color: 'secondary', textColor: 'secondary' },
    { color: 'success', textColor: 'success' },
    { color: 'danger', textColor: 'danger' },
    { color: 'warning', textColor: 'warning' },
    { color: 'info', textColor: 'info' },
    { color: 'dark', textColor: 'dark' },
  ]

  return (
    <CRow>
      {colors.map((item, index) => (
        <CCol sm={6} key={index}>
          <CCard textColor={item.textColor} className={`mb-3 border-${item.color}`}>
            <CCardHeader>Header</CCardHeader>
            <CCardBody>
              <CCardTitle>{item.color} card title</CCardTitle>
              <CCardText>
                Some quick example text to build on the card title and make up the bulk of the
                card's content.
              </CCardText>
            </CCardBody>
          </CCard>
        </CCol>
      ))}
    </CRow>
  )
}

Top border

import React from 'react'
import { CCard, CCardBody, CCardHeader, CCardText, CCardTitle, CCol, CRow } from '@coreui/react'

export const CardStylesTopBorderExample = () => {
  const colors = [
    { color: 'primary', textColor: 'primary' },
    { color: 'secondary', textColor: 'secondary' },
    { color: 'success', textColor: 'success' },
    { color: 'danger', textColor: 'danger' },
    { color: 'warning', textColor: 'warning' },
    { color: 'info', textColor: 'info' },
    { color: 'dark', textColor: 'dark' },
  ]

  return (
    <CRow>
      {colors.map((item, index) => (
        <CCol sm={6} key={index}>
          <CCard
            textColor={item.textColor}
            className={`mb-3 border-top-${item.color} border-top-3`}
          >
            <CCardHeader>Header</CCardHeader>
            <CCardBody>
              <CCardTitle>{item.color} card title</CCardTitle>
              <CCardText>
                Some quick example text to build on the card title and make up the bulk of the
                card's content.
              </CCardText>
            </CCardBody>
          </CCard>
        </CCol>
      ))}
    </CRow>
  )
}
import React from 'react'
import { CCard, CCardBody, CCardHeader, CCardText, CCardTitle, CCol, CRow } from '@coreui/react'

export const CardStylesTopBorderExample = () => {
  const colors = [
    { color: 'primary', textColor: 'primary' },
    { color: 'secondary', textColor: 'secondary' },
    { color: 'success', textColor: 'success' },
    { color: 'danger', textColor: 'danger' },
    { color: 'warning', textColor: 'warning' },
    { color: 'info', textColor: 'info' },
    { color: 'dark', textColor: 'dark' },
  ]

  return (
    <CRow>
      {colors.map((item, index) => (
        <CCol sm={6} key={index}>
          <CCard
            textColor={item.textColor}
            className={`mb-3 border-top-${item.color} border-top-3`}
          >
            <CCardHeader>Header</CCardHeader>
            <CCardBody>
              <CCardTitle>{item.color} card title</CCardTitle>
              <CCardText>
                Some quick example text to build on the card title and make up the bulk of the
                card's content.
              </CCardText>
            </CCardBody>
          </CCard>
        </CCol>
      ))}
    </CRow>
  )
}

Card layout

In addition to styling the content within cards, CoreUI includes a few options for laying out series of cards. For the time being, these layout options are not yet responsive.

Card groups

Use card groups to render cards as a single, attached element with equal width and height columns. Card groups start off stacked and use display: flex; to become attached with uniform dimensions starting at the sm breakpoint.

import React from 'react'
import { CCard, CCardBody, CCardGroup, CCardImage, CCardText, CCardTitle } from '@coreui/react'

export const CardGroupsExample = () => {
  return (
    <CCardGroup>
      <CCard>
        <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.
          </CCardText>
          <CCardText>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardText>
        </CCardBody>
      </CCard>
      <CCard>
        <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            This card has supporting text below as a natural lead-in to additional content.
          </CCardText>
          <CCardText>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardText>
        </CCardBody>
      </CCard>
      <CCard>
        <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            This is a wider card with supporting text below as a natural lead-in to additional
            content. This card has even longer content than the first to show that equal height
            action.
          </CCardText>
          <CCardText>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardText>
        </CCardBody>
      </CCard>
    </CCardGroup>
  )
}
import React from 'react'
import { CCard, CCardBody, CCardGroup, CCardImage, CCardText, CCardTitle } from '@coreui/react'

export const CardGroupsExample = () => {
  return (
    <CCardGroup>
      <CCard>
        <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.
          </CCardText>
          <CCardText>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardText>
        </CCardBody>
      </CCard>
      <CCard>
        <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            This card has supporting text below as a natural lead-in to additional content.
          </CCardText>
          <CCardText>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardText>
        </CCardBody>
      </CCard>
      <CCard>
        <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            This is a wider card with supporting text below as a natural lead-in to additional
            content. This card has even longer content than the first to show that equal height
            action.
          </CCardText>
          <CCardText>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardText>
        </CCardBody>
      </CCard>
    </CCardGroup>
  )
}

When using card groups with footers, their content will automatically line up.

import React from 'react'
import {
  CCard,
  CCardBody,
  CCardFooter,
  CCardGroup,
  CCardImage,
  CCardText,
  CCardTitle,
} from '@coreui/react'

export const CardGroups2Example = () => {
  return (
    <CCardGroup>
      <CCard>
        <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.
          </CCardText>
        </CCardBody>
        <CCardFooter>
          <small className="text-body-secondary">Last updated 3 mins ago</small>
        </CCardFooter>
      </CCard>
      <CCard>
        <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            This card has supporting text below as a natural lead-in to additional content.
          </CCardText>
        </CCardBody>
        <CCardFooter>
          <small className="text-body-secondary">Last updated 3 mins ago</small>
        </CCardFooter>
      </CCard>
      <CCard>
        <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            This is a wider card with supporting text below as a natural lead-in to additional
            content. This card has even longer content than the first to show that equal height
            action.
          </CCardText>
        </CCardBody>
        <CCardFooter>
          <small className="text-body-secondary">Last updated 3 mins ago</small>
        </CCardFooter>
      </CCard>
    </CCardGroup>
  )
}
import React from 'react'
import {
  CCard,
  CCardBody,
  CCardFooter,
  CCardGroup,
  CCardImage,
  CCardText,
  CCardTitle,
} from '@coreui/react'

export const CardGroups2Example = () => {
  return (
    <CCardGroup>
      <CCard>
        <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.
          </CCardText>
        </CCardBody>
        <CCardFooter>
          <small className="text-body-secondary">Last updated 3 mins ago</small>
        </CCardFooter>
      </CCard>
      <CCard>
        <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            This card has supporting text below as a natural lead-in to additional content.
          </CCardText>
        </CCardBody>
        <CCardFooter>
          <small className="text-body-secondary">Last updated 3 mins ago</small>
        </CCardFooter>
      </CCard>
      <CCard>
        <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText>
            This is a wider card with supporting text below as a natural lead-in to additional
            content. This card has even longer content than the first to show that equal height
            action.
          </CCardText>
        </CCardBody>
        <CCardFooter>
          <small className="text-body-secondary">Last updated 3 mins ago</small>
        </CCardFooter>
      </CCard>
    </CCardGroup>
  )
}

Grid cards

Use the CRow component and set xs|sm|md|lg|xl|xxl}={{ cols: * }} property to control how many grid columns (wrapped around your cards) you show per row. For example, here’s xs={{cols: 1}} laying out the cards on one column, and md={{cols: 2}} splitting four cards to equal width across multiple rows, from the medium breakpoint up.

import React from 'react'
import {
  CCard,
  CCardBody,
  CCardFooter,
  CCardImage,
  CCardText,
  CCardTitle,
  CCol,
  CRow,
} from '@coreui/react'

export const CardGridExample = () => {
  return (
    <CRow xs={{ cols: 1, gutter: 4 }} md={{ cols: 2 }}>
      <CCol xs>
        <CCard>
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard>
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard>
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard>
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
    </CRow>
  )
}
import React from 'react'
import {
  CCard,
  CCardBody,
  CCardFooter,
  CCardImage,
  CCardText,
  CCardTitle,
  CCol,
  CRow,
} from '@coreui/react'

export const CardGridExample = () => {
  return (
    <CRow xs={{ cols: 1, gutter: 4 }} md={{ cols: 2 }}>
      <CCol xs>
        <CCard>
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard>
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard>
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard>
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
    </CRow>
  )
}

Change it to md={{ cols: 3}} and you’ll see the fourth card wrap.

import React from 'react'
import {
  CCard,
  CCardBody,
  CCardFooter,
  CCardImage,
  CCardText,
  CCardTitle,
  CCol,
  CRow,
} from '@coreui/react'

export const CardGrid2Example = () => {
  return (
    <CRow xs={{ cols: 1, gutter: 4 }} md={{ cols: 3 }}>
      <CCol xs>
        <CCard>
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard>
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard>
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard>
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
    </CRow>
  )
}
import React from 'react'
import {
  CCard,
  CCardBody,
  CCardFooter,
  CCardImage,
  CCardText,
  CCardTitle,
  CCol,
  CRow,
} from '@coreui/react'

export const CardGrid2Example = () => {
  return (
    <CRow xs={{ cols: 1, gutter: 4 }} md={{ cols: 3 }}>
      <CCol xs>
        <CCard>
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard>
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard>
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard>
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
    </CRow>
  )
}

When you need equal height, add .h-100 to the cards. If you want equal heights by default, you can set $card-height: 100% in Sass.

import React from 'react'
import { CCard, CCardBody, CCardImage, CCardText, CCardTitle, CCol, CRow } from '@coreui/react'

export const CardGrid3Example = () => {
  return (
    <CRow xs={{ cols: 1 }} md={{ cols: 3 }} className="g-4">
      <CCol xs>
        <CCard className="h-100">
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard className="h-100">
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This card has supporting text below as a natural lead-in to additional content.
            </CCardText>
          </CCardBody>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard className="h-100">
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This card has even longer content than the first to show that equal height
              action.
            </CCardText>
          </CCardBody>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard className="h-100">
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
        </CCard>
      </CCol>
    </CRow>
  )
}
import React from 'react'
import { CCard, CCardBody, CCardImage, CCardText, CCardTitle, CCol, CRow } from '@coreui/react'

export const CardGrid3Example = () => {
  return (
    <CRow xs={{ cols: 1 }} md={{ cols: 3 }} className="g-4">
      <CCol xs>
        <CCard className="h-100">
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard className="h-100">
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This card has supporting text below as a natural lead-in to additional content.
            </CCardText>
          </CCardBody>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard className="h-100">
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This card has even longer content than the first to show that equal height
              action.
            </CCardText>
          </CCardBody>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard className="h-100">
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
        </CCard>
      </CCol>
    </CRow>
  )
}

Just like with card groups, card footers will automatically line up.

import React from 'react'
import {
  CCard,
  CCardBody,
  CCardFooter,
  CCardImage,
  CCardText,
  CCardTitle,
  CCol,
  CRow,
} from '@coreui/react'

export const CardGrid4Example = () => {
  return (
    <CRow xs={{ cols: 1 }} md={{ cols: 3 }} className="g-4">
      <CCol xs>
        <CCard className="h-100">
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard className="h-100">
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This card has supporting text below as a natural lead-in to additional content.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard className="h-100">
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This card has even longer content than the first to show that equal height
              action.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
    </CRow>
  )
}
import React from 'react'
import {
  CCard,
  CCardBody,
  CCardFooter,
  CCardImage,
  CCardText,
  CCardTitle,
  CCol,
  CRow,
} from '@coreui/react'

export const CardGrid4Example = () => {
  return (
    <CRow xs={{ cols: 1 }} md={{ cols: 3 }} className="g-4">
      <CCol xs>
        <CCard className="h-100">
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This content is a little bit longer.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard className="h-100">
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This card has supporting text below as a natural lead-in to additional content.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
      <CCol xs>
        <CCard className="h-100">
          <CCardImage orientation="top" src={'/assets/img/react.jpg'} />
          <CCardBody>
            <CCardTitle>Card title</CCardTitle>
            <CCardText>
              This is a wider card with supporting text below as a natural lead-in to additional
              content. This card has even longer content than the first to show that equal height
              action.
            </CCardText>
          </CCardBody>
          <CCardFooter>
            <small className="text-body-secondary">Last updated 3 mins ago</small>
          </CCardFooter>
        </CCard>
      </CCol>
    </CRow>
  )
}

API

Check out the documentation below for a comprehensive guide to all the props you can use with the components mentioned here.

Angular Card Component

Card

Angular Card component provides a flexible and extensible container for displaying content. Card is delivered with a bunch of variants and options.

Available in Other JavaScript Frameworks

CoreUI Angular Card Component is also available for Bootstrap, React, and Vue. Explore framework-specific implementations below:

Use CoreUI Angular card component provides a flexible and extensible container for displaying content. Card is delivered with a bunch of variants and options.

About

Angular card component is a content container. It incorporates options for images, headers, and footers, a wide variety of content, contextual background colors, and excellent display options. Cards are built with as little markup and styles as possible but still manage to deliver a bunch of control and customization. Built with flexbox, they offer easy alignment and mix well with other CoreUI components. Cards have no top, left, and right margins by default, so use spacing utilities as needed. They have no fixed width to start, so they’ll fill the full width of its parent.

Examples

Base card

import { Component } from '@angular/core';
import {
  ButtonDirective,
  CardBodyComponent,
  CardComponent,
  CardImgDirective,
  CardTextDirective,
  CardTitleDirective
} from '@coreui/angular';

@Component({
  selector: 'docs-card-base',
  templateUrl: './card-base.component.html',
  styleUrls: ['./card-base.component.scss'],
  imports: [CardComponent, CardImgDirective, CardBodyComponent, CardTitleDirective, CardTextDirective, ButtonDirective]
})
export class CardBaseComponent {}
<c-card>
  <img cCardImg="top" src="/assets/img/angular.jpg">
  <c-card-body>
    <h5 cCardTitle>Card title</h5>
    <p cCardText>
      Some quick example text to build on the card title and make up the bulk of the card's content.
    </p>
    <button cButton color="light">Go somewhere</button>
  </c-card-body>
</c-card>
:host {
  c-card {
    min-width: 9rem;
    .list-group {
      max-width: 100%;
    }
  }
}

Content types

CoreUI card supports a wide variety of content, including images, text, list groups, links, and more. Below are examples of those elements.

Body

The main block of a card is the c-card-body. Use it whenever you need a padded section within a card.

import { Component } from '@angular/core';
import { CardBodyComponent, CardComponent } from '@coreui/angular';

@Component({
  selector: 'docs-card-body-example',
  templateUrl: './card-body-example.component.html',
  imports: [CardComponent, CardBodyComponent]
})
export class CardBodyExampleComponent {}
<c-card>
  <c-card-body>This is some text within a card body.</c-card-body>
</c-card>

Card titles are managed by cCardTitle directive. Identically, links are attached and collected next to each other by cCardLink directive. Subtitles are managed by cCardSubtitle directive. Also, if the cCardTitle and cCardSubtitle items are stored in a c-card-body item, the card title, and subtitle are arranged rightly.

import { Component } from '@angular/core';
import { RouterLink } from '@angular/router';
import {
  CardBodyComponent,
  CardComponent,
  CardLinkDirective,
  CardSubtitleDirective,
  CardTextDirective,
  CardTitleDirective
} from '@coreui/angular';

@Component({
  selector: 'docs-card-titles-links',
  templateUrl: './card-titles-links.component.html',
  styleUrls: ['./card-base.component.scss'],
  imports: [
    CardComponent,
    CardBodyComponent,
    CardTitleDirective,
    CardSubtitleDirective,
    CardTextDirective,
    CardLinkDirective,
    RouterLink
  ]
})
export class CardTitlesLinksComponent {}
<c-card>
  <c-card-body>
    <h5 cCardTitle>Card title</h5>
    <h6 cCardSubtitle class="mb-2 text-medium-emphasis">
      Card subtitle
    </h6>
    <p cCardText>
      Some quick example text to build on the card title and make up the
      bulk of the card content.
    </p>
    <a [routerLink] cCardLink>Card link</a>
    <a [routerLink] cCardLink>Another link</a>
  </c-card-body>
</c-card>
:host {
  c-card {
    min-width: 9rem;
    .list-group {
      max-width: 100%;
    }
  }
}

Images and text

cCardImg="top" places a picture at the top of the card. With cCardText, text can be added to the card. Text within cCardText can additionally be styled with the regular HTML tags.

import { Component } from '@angular/core';
import { CardBodyComponent, CardComponent, CardImgDirective, CardTextDirective } from '@coreui/angular';

@Component({
  selector: 'docs-card-images-text',
  templateUrl: './card-images-text.component.html',
  styleUrls: ['./card-base.component.scss'],
  imports: [CardComponent, CardImgDirective, CardBodyComponent, CardTextDirective]
})
export class CardImagesTextComponent {}
<c-card>
  <img cCardImg="top" src="/assets/img/angular.jpg">
  <c-card-body>
    <p cCardText>
      Some quick example <strong>text</strong> to build on the card title and make up the bulk of the card's content.
    </p>
  </c-card-body>
</c-card>
:host {
  c-card {
    min-width: 9rem;
    .list-group {
      max-width: 100%;
    }
  }
}

List groups

Create lists of content in a card with a flush list group.

import { Component } from '@angular/core';
import { CardComponent, ListGroupDirective, ListGroupItemDirective } from '@coreui/angular';

@Component({
  selector: 'docs-card-list-groups',
  templateUrl: './card-list-groups.component.html',
  styleUrls: ['./card-base.component.scss'],
  imports: [CardComponent, ListGroupDirective, ListGroupItemDirective]
})
export class CardListGroupsComponent {}
<c-card>
  <ul cListGroup [flush]="true">
    <li cListGroupItem>Cras justo odio</li>
    <li cListGroupItem>Dapibus ac facilisis in</li>
    <li cListGroupItem>Vestibulum at eros</li>
  </ul>
</c-card>
:host {
  c-card {
    min-width: 9rem;
    .list-group {
      max-width: 100%;
    }
  }
}
import { Component } from '@angular/core';
import { CardComponent, CardHeaderComponent, ListGroupDirective, ListGroupItemDirective } from '@coreui/angular';

@Component({
  selector: 'docs-card-list-groups-2',
  templateUrl: './card-list-groups-2.component.html',
  styleUrls: ['./card-base.component.scss'],
  imports: [CardComponent, CardHeaderComponent, ListGroupDirective, ListGroupItemDirective]
})
export class CardListGroups2Component {}
<c-card>
  <c-card-header>Header</c-card-header>
  <ul cListGroup [flush]="true">
    <li cListGroupItem>Cras justo odio</li>
    <li cListGroupItem>Dapibus ac facilisis in</li>
    <li cListGroupItem>Vestibulum at eros</li>
  </ul>
</c-card>
:host {
  c-card {
    min-width: 9rem;
    .list-group {
      max-width: 100%;
    }
  }
}
import { Component } from '@angular/core';
import { CardComponent, CardFooterComponent, ListGroupDirective, ListGroupItemDirective } from '@coreui/angular';

@Component({
  selector: 'docs-card-list-groups-3',
  templateUrl: './card-list-groups-3.component.html',
  styleUrls: ['./card-base.component.scss'],
  imports: [CardComponent, ListGroupDirective, ListGroupItemDirective, CardFooterComponent]
})
export class CardListGroups3Component {}
<c-card>
  <ul cListGroup [flush]="true">
    <li cListGroupItem>Cras justo odio</li>
    <li cListGroupItem>Dapibus ac facilisis in</li>
    <li cListGroupItem>Vestibulum at eros</li>
  </ul>
  <c-card-footer>Footer</c-card-footer>
</c-card>
:host {
  c-card {
    min-width: 9rem;
    .list-group {
      max-width: 100%;
    }
  }
}

Kitchen sink

Combine and match many content types to build the card you need, or throw everything in there. Shown below are image styles, blocks, text styles, and a list group—all wrapped in a fixed-width card.

import { Component } from '@angular/core';
import { RouterLink } from '@angular/router';
import {
  CardBodyComponent,
  CardComponent,
  CardImgDirective,
  CardLinkDirective,
  CardTextDirective,
  CardTitleDirective,
  ListGroupDirective,
  ListGroupItemDirective
} from '@coreui/angular';

@Component({
  selector: 'docs-card-kitchen-sink',
  templateUrl: './card-kitchen-sink.component.html',
  styleUrls: ['./card-base.component.scss'],
  imports: [
    CardComponent,
    CardImgDirective,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective,
    ListGroupDirective,
    ListGroupItemDirective,
    CardLinkDirective,
    RouterLink
  ]
})
export class CardKitchenSinkComponent {}
<c-card style="width: 18rem;">
  <img cCardImg="top" src="/assets/img/angular.jpg">
  <c-card-body>
    <h5 cCardTitle>Card title</h5>
    <p cCardText>
      Some quick example text to build on the card title and make up the
      bulk of the card content.
    </p>
  </c-card-body>
  <ul cListGroup [flush]="true">
    <li cListGroupItem>Cras justo odio</li>
    <li cListGroupItem>Dapibus ac facilisis in</li>
    <li cListGroupItem>Vestibulum at eros</li>
  </ul>
  <c-card-body>
    <a cCardLink [routerLink]>Card link</a>
    <a cCardLink [routerLink]>Another link</a>
  </c-card-body>
</c-card>
:host {
  c-card {
    min-width: 9rem;
    .list-group {
      max-width: 100%;
    }
  }
}

Add an optional header and/or footer within a card.

import { Component } from '@angular/core';
import {
  ButtonDirective,
  CardBodyComponent,
  CardComponent,
  CardHeaderComponent,
  CardTextDirective,
  CardTitleDirective
} from '@coreui/angular';

@Component({
  selector: 'docs-card-header-footer',
  templateUrl: './card-header-footer.component.html',
  styleUrls: ['./card-base.component.scss'],
  imports: [
    CardComponent,
    CardHeaderComponent,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective,
    ButtonDirective
  ]
})
export class CardHeaderFooterComponent {}
<c-card>
  <c-card-header>Header</c-card-header>
  <c-card-body>
    <h5 cCardTitle>Special title treatment</h5>
    <p cCardText>With supporting text below as a natural lead-in to additional content.</p>
    <button cButton>Go somewhere</button>
  </c-card-body>
</c-card>
:host {
  c-card {
    min-width: 9rem;
    .list-group {
      max-width: 100%;
    }
  }
}

Card headers can be styled with html.

import { Component } from '@angular/core';
import {
  ButtonDirective,
  CardBodyComponent,
  CardComponent,
  CardHeaderComponent,
  CardTextDirective,
  CardTitleDirective
} from '@coreui/angular';

@Component({
  selector: 'docs-card-header-footer-2',
  templateUrl: './card-header-footer-2.component.html',
  styleUrls: ['./card-base.component.scss'],
  imports: [
    CardComponent,
    CardHeaderComponent,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective,
    ButtonDirective
  ]
})
export class CardHeaderFooter2Component {}
<c-card>
  <c-card-header>
    <h5>Header</h5>
  </c-card-header>
  <c-card-body>
    <h5 cCardTitle>Special title treatment</h5>
    <p cCardText>With supporting text below as a natural lead-in to additional content.</p>
    <button cButton>Go somewhere</button>
  </c-card-body>
</c-card>
:host {
  c-card {
    min-width: 9rem;
    .list-group {
      max-width: 100%;
    }
  }
}
import { Component } from '@angular/core';
import { CardBodyComponent, CardComponent, CardHeaderComponent } from '@coreui/angular';

@Component({
  selector: 'docs-card-header-footer-3',
  templateUrl: './card-header-footer-3.component.html',
  imports: [CardComponent, CardHeaderComponent, CardBodyComponent]
})
export class CardHeaderFooter3Component {}
<c-card>
  <c-card-header>Quote</c-card-header>
  <c-card-body>
    <blockquote class="blockquote mb-0">
      <p>
        Lorem ipsum dolor sit amet, consectetur adipiscing elit.
        Integer posuere erat a ante.
      </p>
      <footer class="blockquote-footer">
        Someone famous in
        <cite title="Source Title">Source Title</cite>
      </footer>
    </blockquote>
  </c-card-body>
</c-card>
import { Component } from '@angular/core';
import {
  ButtonDirective,
  CardBodyComponent,
  CardComponent,
  CardFooterComponent,
  CardHeaderComponent,
  CardTextDirective,
  CardTitleDirective
} from '@coreui/angular';

@Component({
  selector: 'docs-card-header-footer-4',
  templateUrl: './card-header-footer-4.component.html',
  imports: [
    CardComponent,
    CardHeaderComponent,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective,
    ButtonDirective,
    CardFooterComponent
  ]
})
export class CardHeaderFooter4Component {}
<c-card class="text-center mb-4">
  <c-card-header>Header</c-card-header>
  <c-card-body>
    <h5 cCardTitle>Card title</h5>
    <p cCardText>
      Some quick example text to build on the card title and make up the bulk of the card's content.
    </p>
    <button cButton color="primary">Go somewhere</button>
  </c-card-body>
  <c-card-footer class="text-medium-emphasis">
    2 days ago
  </c-card-footer>
</c-card>

Sizing

Cards assume no specific width to start, so they’ll be 100% wide unless otherwise stated. You can adjust this as required with custom CSS, grid classes, grid Sass mixins, or services.

Using grid markup

Using the grid, wrap cards in columns and rows as needed.

import { Component } from '@angular/core';
import {
  ButtonDirective,
  CardBodyComponent,
  CardComponent,
  CardTextDirective,
  CardTitleDirective,
  ColComponent,
  RowComponent
} from '@coreui/angular';

@Component({
  selector: 'docs-card-grid-markup',
  templateUrl: './card-grid-markup.component.html',
  imports: [
    RowComponent,
    ColComponent,
    CardComponent,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective,
    ButtonDirective
  ]
})
export class CardGridMarkupComponent {}
<c-row>
  <c-col [sm]="6">
    <c-card class="mb-4">
      <c-card-body>
        <h5 cCardTitle>Card title</h5>
        <p cCardText>
          Some quick example text to build on the card title and make up the bulk of the card's content.
        </p>
        <button cButton color="primary">Go somewhere</button>
      </c-card-body>
    </c-card>
  </c-col>
  <c-col [sm]="6">
    <c-card class="mb-4">
      <c-card-body>
        <h5 cCardTitle>Card title</h5>
        <p cCardText>
          Some quick example text to build on the card title and make up the bulk of the card's content.
        </p>
        <button cButton color="primary">Go somewhere</button>
      </c-card-body>
    </c-card>
  </c-col>
</c-row>

Using utilities

Use some of available sizing utilities to rapidly set a card width.

import { Component } from '@angular/core';
import {
  ButtonDirective,
  CardBodyComponent,
  CardComponent,
  CardTextDirective,
  CardTitleDirective
} from '@coreui/angular';

@Component({
  selector: 'docs-card-utilities',
  templateUrl: './card-utilities.component.html',
  imports: [CardComponent, CardBodyComponent, CardTitleDirective, CardTextDirective, ButtonDirective]
})
export class CardUtilitiesComponent {}
<c-card class="w-75 mb-4">
  <c-card-body>
    <h5 cCardTitle>Card title</h5>
    <p cCardText>
      Some quick example text to build on the card title and make up the bulk of the card's content.
    </p>
    <button cButton color="primary">Go somewhere</button>
  </c-card-body>
</c-card>
<c-card class="w-50 mb-4">
  <c-card-body>
    <h5 cCardTitle>Card title</h5>
    <p cCardText>
      Some quick example text to build on the card title and make up the bulk of the card's content.
    </p>
    <button cButton color="primary">Go somewhere</button>
  </c-card-body>
</c-card>

Using custom CSS

Use custom CSS in your stylesheets or as inline styles to set a width.

import { Component } from '@angular/core';
import {
  ButtonDirective,
  CardBodyComponent,
  CardComponent,
  CardTextDirective,
  CardTitleDirective
} from '@coreui/angular';

@Component({
  selector: 'docs-card-custom-css',
  templateUrl: './card-custom-css.component.html',
  styleUrls: ['./card-base.component.scss'],
  imports: [CardComponent, CardBodyComponent, CardTitleDirective, CardTextDirective, ButtonDirective]
})
export class CardCustomCssComponent {}
<c-card>
  <c-card-body>
    <h5 cCardTitle>Card title</h5>
    <p cCardText>
      Some quick example text to build on the card title and make up the bulk of the card's content.
    </p>
    <button cButton color="primary">Go somewhere</button>
  </c-card-body>
</c-card>
:host {
  c-card {
    min-width: 9rem;
    .list-group {
      max-width: 100%;
    }
  }
}

Text alignment

You can instantly change the text arrangement of any card—in its whole or specific parts—with text align classes.

import { Component } from '@angular/core';
import {
  ButtonDirective,
  CardBodyComponent,
  CardComponent,
  CardTextDirective,
  CardTitleDirective
} from '@coreui/angular';

@Component({
  selector: 'docs-card-text-alignment',
  templateUrl: './card-text-alignment.component.html',
  styleUrls: ['./card-base.component.scss'],
  imports: [CardComponent, CardBodyComponent, CardTitleDirective, CardTextDirective, ButtonDirective]
})
export class CardTextAlignmentComponent {}
<c-card class="mb-4">
  <c-card-body>
    <h5 cCardTitle>Card title</h5>
    <p cCardText>
      Some quick example text to build on the card title and make up the bulk of the card's content.
    </p>
    <button cButton color="primary">Go somewhere</button>
  </c-card-body>
</c-card>
<c-card class="text-center mb-4">
  <c-card-body>
    <h5 cCardTitle>Card title</h5>
    <p cCardText>
      Some quick example text to build on the card title and make up the bulk of the card's content.
    </p>
    <button cButton color="primary">Go somewhere</button>
  </c-card-body>
</c-card>
<c-card class="text-end mb-4">
  <c-card-body>
    <h5 cCardTitle>Card title</h5>
    <p cCardText>
      Some quick example text to build on the card title and make up the bulk of the card's content.
    </p>
    <button cButton color="primary">Go somewhere</button>
  </c-card-body>
</c-card>
:host {
  c-card {
    min-width: 9rem;
    .list-group {
      max-width: 100%;
    }
  }
}

Add some navigation to a c-card with our c-tabs component.

import { NgTemplateOutlet } from '@angular/common';
import { Component } from '@angular/core';
import {
  ButtonDirective,
  CardBodyComponent,
  CardComponent,
  CardHeaderComponent,
  CardTextDirective,
  CardTitleDirective,
  TabDirective,
  TabPanelComponent,
  TabsComponent,
  TabsContentComponent,
  TabsListComponent
} from '@coreui/angular';

@Component({
  selector: 'docs-card-navigation',
  templateUrl: './card-navigation.component.html',
  imports: [
    CardComponent,
    CardHeaderComponent,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective,
    ButtonDirective,
    TabsListComponent,
    TabDirective,
    TabsContentComponent,
    TabPanelComponent,
    TabsComponent,
    NgTemplateOutlet
  ]
})
export class CardNavigationComponent {
  tabs = ['Active', 'List', 'Disabled'];
}
<c-tabs activeItemKey="Active">
  <c-card class="text-center">
    <c-card-header>
      <c-tabs-list class="card-header-tabs" variant="tabs">
        @for (tab of tabs; track tab) {
          <button [itemKey]="tab" cTab [disabled]="tab === 'Disabled'">
            {{ tab }}
          </button>
        }
      </c-tabs-list>
    </c-card-header>
    <c-card-body>
      <c-tabs-content>
        @for (panel of tabs; track panel) {
          <c-tab-panel [itemKey]="panel">
            <ng-container *ngTemplateOutlet="cardBodyTemplate; context: { $implicit: panel }" />
          </c-tab-panel>
        }
      </c-tabs-content>
    </c-card-body>
  </c-card>
</c-tabs>

<ng-template #cardBodyTemplate let-title>
  <h5 cCardTitle>Card {{ title ?? 'title' }}</h5>
  <p cCardText>Some quick example text to build on the card title and make up the bulk of the card's content.</p>
  <button cButton color="primary">Go somewhere</button>
</ng-template>
import { NgTemplateOutlet } from '@angular/common';
import { Component } from '@angular/core';
import {
  ButtonDirective,
  CardBodyComponent,
  CardComponent,
  CardHeaderComponent,
  CardTextDirective,
  CardTitleDirective,
  TabDirective,
  TabPanelComponent,
  TabsComponent,
  TabsContentComponent,
  TabsListComponent
} from '@coreui/angular';

@Component({
  selector: 'docs-card-navigation-2',
  templateUrl: './card-navigation-2.component.html',
  imports: [
    CardComponent,
    CardHeaderComponent,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective,
    ButtonDirective,
    TabsListComponent,
    TabDirective,
    TabsContentComponent,
    TabPanelComponent,
    TabsComponent,
    NgTemplateOutlet
  ]
})
export class CardNavigation2Component {
  tabs = ['Active', 'List', 'Disabled'];
}
<c-tabs activeItemKey="Active">
  <c-card class="text-center">
    <c-card-header>
      <c-tabs-list class="card-header-pills" variant="pills">
        @for (tab of tabs; track tab) {
          <button [itemKey]="tab" cTab [disabled]="tab === 'Disabled'">
            {{ tab }}
          </button>
        }
      </c-tabs-list>
    </c-card-header>
    <c-card-body>
      <c-tabs-content>
        @for (panel of tabs; track panel) {
          <c-tab-panel [itemKey]="panel">
            <ng-container *ngTemplateOutlet="cardBodyTemplate; context: { $implicit: panel }" />
          </c-tab-panel>
        }
      </c-tabs-content>
    </c-card-body>
  </c-card>
</c-tabs>

<ng-template #cardBodyTemplate let-title>
  <h5 cCardTitle>Card {{ title ?? 'title' }}</h5>
  <p cCardText>Some quick example text to build on the card title and make up the bulk of the card's content.</p>
  <button cButton color="primary">Go somewhere</button>
</ng-template>

Images

Cards introduce several options for acting with images. Pick from appending “image caps” at either end of a card, overlaying images with content, or just inserting the image in a card.

Image caps

Similar to headers and footers, cards can include top and bottom “image caps”—images at the top or bottom of a card.

import { Component } from '@angular/core';
import {
  CardBodyComponent,
  CardComponent,
  CardImgDirective,
  CardTextDirective,
  CardTitleDirective,
  ColComponent,
  RowComponent
} from '@coreui/angular';

@Component({
  selector: 'docs-card-image-caps',
  templateUrl: './card-image-caps.component.html',
  imports: [
    RowComponent,
    ColComponent,
    CardComponent,
    CardImgDirective,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective
  ]
})
export class CardImageCapsComponent {}
<c-row>
  <c-col>
    <c-card class="mb-3">
      <img cCardImg="top" src="/assets/img/angular.jpg">
      <c-card-body>
        <h5 cCardTitle>Card title</h5>
        <p cCardText>
          This is a wider card with supporting text below as a natural lead-in to
          additional content. This content is a little bit longer.
        </p>
        <p cCardText>
          <small class="text-medium-emphasis">Last updated 3 mins ago</small>
        </p>
      </c-card-body>
    </c-card>
  </c-col>
  <c-col>
    <c-card class="mb-3">
      <c-card-body>
        <h5 cCardTitle>Card title</h5>
        <p cCardText>
          This is a wider card with supporting text below as a natural lead-in to
          additional content. This content is a little bit longer.
        </p>
        <p cCardText>
          <small class="text-medium-emphasis">Last updated 3 mins ago</small>
        </p>
      </c-card-body>
      <img cCardImg="bottom" src="/assets/img/angular.jpg">
    </c-card>
  </c-col>
</c-row>

Image overlays

Adapt an image into a background and overlay your text. Depending on the image, you may need additional styles or utilities.

import { Component } from '@angular/core';
import {
  CardComponent,
  CardImgDirective,
  CardImgOverlayComponent,
  CardTextDirective,
  CardTitleDirective
} from '@coreui/angular';

@Component({
  selector: 'docs-card-image-overlays',
  templateUrl: './card-image-overlays.component.html',
  imports: [CardComponent, CardImgDirective, CardImgOverlayComponent, CardTitleDirective, CardTextDirective]
})
export class CardImageOverlaysComponent {}
<c-card class="mb-3">
  <img [cCardImg] src="/assets/img/angular.jpg" alt="CoreUI Angular Logo">
  <c-card-img-overlay>
    <h5 cCardTitle>Card title</h5>
    <p cCardText>
      This is a wider card with supporting text below as a natural lead-in to
      additional content. This content is a little bit longer.
    </p>
    <p cCardText>
      <small class="text-medium-emphasis">Last updated 3 mins ago</small>
    </p>
  </c-card-img-overlay>
</c-card>

Horizontal

Using a combination of grid and utility classes, cards can be made horizontal in a mobile-friendly and responsive way. In the example below, we remove the grid gutters with .g-0 and use .col-md-* classes to make the card horizontal at the md breakpoint. Further adjustments may be needed depending on your card content.

import { NgStyle } from '@angular/common';
import { Component } from '@angular/core';
import {
  CardBodyComponent,
  CardComponent,
  CardImgDirective,
  CardTextDirective,
  CardTitleDirective,
  ColComponent,
  ColDirective,
  RowComponent
} from '@coreui/angular';

@Component({
  selector: 'docs-card-horizontal',
  templateUrl: './card-horizontal.component.html',
  styleUrls: ['./card-horizontal.component.scss'],
  imports: [
    CardComponent,
    NgStyle,
    RowComponent,
    ColComponent,
    CardImgDirective,
    CardBodyComponent,
    ColDirective,
    CardTitleDirective,
    CardTextDirective
  ]
})
export class CardHorizontalComponent {}
<c-card class="mb-3" [ngStyle]="{'max-width.px': 540}">
  <c-row class="g-0">
    <c-col [md]="4" class="overflow-hidden position-relative">
      <img cCardImg="start" src="/assets/img/angular400.jpg" alt="CoreUI Angular Logo" class="d-none d-md-inline object-fit-cover" style="min-height: 100%; object-position: left">
      <img cCardImg="top" src="/assets/img/angular.jpg" alt="CoreUI Angular Logo" class="d-md-none d-sm-inline">
    </c-col>
    <c-card-body cCol [md]="8">
      <h5 cCardTitle>Card title</h5>
      <p cCardText>
        This is a wider card with supporting text below as a natural lead-in to
        additional content. This content is a little bit longer.
      </p>
      <p cCardText>
        <small class="text-medium-emphasis">Last updated 3 mins ago</small>
      </p>
    </c-card-body>
  </c-row>
</c-card>
.image-container {
  overflow: hidden;
  position: relative;
}
.responsive-img {
  min-height: 100%;
  object-fit: cover; /* Ensures the image covers the container */
  object-position: left; /* Adjusts the position of the image within the container */
}

Card styles

Cards include various options for customizing their backgrounds, borders, and color.

Background and color

Use color property to change the appearance of a card.

import { Component } from '@angular/core';

import {
  ButtonDirective,
  CardBodyComponent,
  CardComponent,
  CardHeaderComponent,
  CardTextDirective,
  CardTitleDirective,
  ColComponent,
  RowComponent
} from '@coreui/angular';

@Component({
  selector: 'docs-card-background-color',
  templateUrl: './card-background-color.component.html',
  imports: [
    RowComponent,
    ColComponent,
    CardComponent,
    CardHeaderComponent,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective,
    ButtonDirective
  ]
})
export class CardBackgroundColorComponent {
  colors = [
    { color: 'primary', textColor: 'primary' },
    { color: 'secondary', textColor: 'secondary' },
    { color: 'success', textColor: 'success' },
    { color: 'danger', textColor: 'danger' },
    { color: 'warning', textColor: 'warning' },
    { color: 'info', textColor: 'info' },
    { color: 'light', textColor: '' },
    { color: 'dark', textColor: '' }
  ];
}
<c-row>
  @for (item of colors; track item.color; let i = $index) {
    <c-col [lg]="4">
      <c-card [color]="item.color"
              [textColor]="item.color === 'warning' || item.color === 'light' ? '' :  'white'"
              class="mb-3">
        <c-card-header>Header</c-card-header>
        <c-card-body class="bg-gradient">
          <h5 cCardTitle>{{ item.color }} card title</h5>
          <p cCardText>
            Some quick example text to build on the card title and make up the bulk of
            the card&#39;s content.
          </p>
          <button [color]="item.color" cButton class="shadow">Go somewhere</button>
        </c-card-body>
      </c-card>
    </c-col>
  }
</c-row>

Border

Use border utilities to change just the border-color of a card. Note that you can set textColor property on the cCard or a subset of the card’s contents as shown below.

import { Component } from '@angular/core';

import {
  BorderDirective,
  ButtonDirective,
  CardBodyComponent,
  CardComponent,
  CardHeaderComponent,
  CardTextDirective,
  CardTitleDirective,
  ColComponent,
  RowComponent
} from '@coreui/angular';

@Component({
  selector: 'docs-card-border',
  templateUrl: './card-border.component.html',
  imports: [
    RowComponent,
    ColComponent,
    CardComponent,
    BorderDirective,
    CardHeaderComponent,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective,
    ButtonDirective
  ]
})
export class CardBorderComponent {
  colors = [
    { color: 'primary', textColor: 'primary' },
    { color: 'secondary', textColor: 'secondary' },
    { color: 'success', textColor: 'success' },
    { color: 'danger', textColor: 'danger' },
    { color: 'warning', textColor: 'warning' },
    { color: 'info', textColor: 'info' },
    { color: 'light', textColor: '' },
    { color: 'dark', textColor: '' }
  ];
}
<c-row>
  @for (item of colors; track item.color; let i = $index) {
    <c-col [lg]="4">
      <c-card [cBorder]="item.color" [textColor]="item.textColor" class="mb-3">
        <c-card-header>Header</c-card-header>
        <c-card-body>
          <h5 cCardTitle>{{ item.color }} card title</h5>
          <p cCardText>
            Some quick example text to build on the card title and make up the bulk of
            the card&#39;s content.
          </p>
          <button [color]="item.color" cButton>Go somewhere</button>
        </c-card-body>
      </c-card>
    </c-col>
  }
</c-row>

Top border

Use border utilities to change just the accent of a card.

import { Component } from '@angular/core';

import {
  BorderDirective,
  ButtonDirective,
  CardBodyComponent,
  CardComponent,
  CardHeaderComponent,
  CardTextDirective,
  CardTitleDirective,
  ColComponent,
  RowComponent
} from '@coreui/angular';

@Component({
  selector: 'docs-card-top-border',
  templateUrl: './card-top-border.component.html',
  imports: [
    RowComponent,
    ColComponent,
    CardComponent,
    BorderDirective,
    CardHeaderComponent,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective,
    ButtonDirective
  ]
})
export class CardTopBorderComponent {
  colors = [
    { color: 'primary', textColor: 'primary' },
    { color: 'secondary', textColor: 'secondary' },
    { color: 'success', textColor: 'success' },
    { color: 'danger', textColor: 'danger' },
    { color: 'warning', textColor: 'warning' },
    { color: 'info', textColor: 'info' },
    { color: 'light', textColor: '' },
    { color: 'dark', textColor: '' }
  ];
}
<c-row>
  @for (item of colors; track item.color; let i = $index) {
    <c-col [lg]="4">
      <c-card [cBorder]="{top: {color: item.color, width: 3}}" [textColor]="item.textColor" class="mb-3">
        <c-card-header>Header</c-card-header>
        <c-card-body>
          <h5 cCardTitle>{{ item.color }} card title</h5>
          <p cCardText>
            Some quick example text to build on the card title and make up the bulk of
            the card&#39;s content.
          </p>
          <button [color]="item.color" cButton>Go somewhere</button>
        </c-card-body>
      </c-card>
    </c-col>
  }
</c-row>

Card layout

In addition to styling the content within cards, CoreUI includes a few options for laying out series of cards. For the time being, these layout options are not yet responsive.

Card groups

Use card groups to render cards as a single, attached element with equal width and height columns. Card groups start off stacked and use display: flex; to become attached with uniform dimensions starting at the sm breakpoint.

import { Component } from '@angular/core';
import {
  CardBodyComponent,
  CardComponent,
  CardGroupComponent,
  CardImgDirective,
  CardTextDirective,
  CardTitleDirective
} from '@coreui/angular';

@Component({
  selector: 'docs-card-groups',
  templateUrl: './card-groups.component.html',
  imports: [
    CardGroupComponent,
    CardComponent,
    CardImgDirective,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective
  ]
})
export class CardGroupsComponent {}
<c-card-group class="mb-4">
  <c-card>
    <img cCardImg="top" src="/assets/img/angular.jpg">
    <c-card-body>
      <h5 cCardTitle>Card title</h5>
      <p cCardText>
        This is a wider card with supporting text below as a natural lead-in to
        additional content. This content is a little bit longer.
      </p>
      <p cCardText>
        <small class="text-medium-emphasis">Last updated 3 mins ago</small>
      </p>
    </c-card-body>
  </c-card>
  <c-card>
    <img cCardImg="top" src="/assets/img/angular.jpg">
    <c-card-body>
      <h5 cCardTitle>Card title</h5>
      <p cCardText>
        This card has supporting text below as a natural lead-in to additional
        content.
      </p>
      <p cCardText>
        <small class="text-medium-emphasis">Last updated 3 mins ago</small>
      </p>
    </c-card-body>
  </c-card>
  <c-card>
    <img cCardImg="top" src="/assets/img/angular.jpg">
    <c-card-body>
      <h5 cCardTitle>Card title</h5>
      <p cCardText>
        This is a wider card with supporting text below as a natural lead-in to
        additional content. This card has even longer content than the first to show
        that equal height action.
      </p>
      <p cCardText>
        <small class="text-medium-emphasis">Last updated 3 mins ago</small>
      </p>
    </c-card-body>
  </c-card>
</c-card-group>

Card groups with footers

When using card groups with footers, their content will automatically line up.

import { Component } from '@angular/core';
import {
  CardBodyComponent,
  CardComponent,
  CardFooterComponent,
  CardGroupComponent,
  CardImgDirective,
  CardTextDirective,
  CardTitleDirective
} from '@coreui/angular';

@Component({
  selector: 'docs-card-groups-with-footers',
  templateUrl: './card-groups-with-footers.component.html',
  imports: [
    CardGroupComponent,
    CardComponent,
    CardImgDirective,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective,
    CardFooterComponent
  ]
})
export class CardGroupsWithFootersComponent {}
<c-card-group class="mb-4">
  <c-card>
    <img cCardImg="top" src="/assets/img/angular.jpg">
    <c-card-body>
      <h5 cCardTitle>Card title</h5>
      <p cCardText>
        This is a wider card with supporting text below as a natural lead-in to
        additional content. This content is a little bit longer.
      </p>
    </c-card-body>
    <c-card-footer>
      <small class="text-medium-emphasis">Last updated 3 mins ago</small>
    </c-card-footer>
  </c-card>
  <c-card>
    <img cCardImg="top" src="/assets/img/angular.jpg">
    <c-card-body>
      <h5 cCardTitle>Card title</h5>
      <p cCardText>
        This card has supporting text below as a natural lead-in to additional
        content.
      </p>
    </c-card-body>
    <c-card-footer>
      <small class="text-medium-emphasis">Last updated 3 mins ago</small>
    </c-card-footer>
  </c-card>
  <c-card>
    <img cCardImg="top" src="/assets/img/angular.jpg">
    <c-card-body>
      <h5 cCardTitle>Card title</h5>
      <p cCardText>
        This is a wider card with supporting text below as a natural lead-in to
        additional content. This card has even longer content than the first to show
        that equal height action.
      </p>
    </c-card-body>
    <c-card-footer>
      <small class="text-medium-emphasis">Last updated 3 mins ago</small>
    </c-card-footer>
  </c-card>
</c-card-group>

Grid cards

Use the c-row component and set xs|sm|md|lg|xl|xxl property to control how many grid columns (wrapped around your cards) you show per row. For example [xs]="1" laying out the cards on one column, and [md]="1" splitting four cards to equal width across multiple rows, from the medium breakpoint up.

import { Component } from '@angular/core';

import {
  CardBodyComponent,
  CardComponent,
  CardFooterComponent,
  CardImgDirective,
  CardTextDirective,
  CardTitleDirective,
  ColComponent,
  GutterDirective,
  RowComponent
} from '@coreui/angular';

@Component({
  selector: 'docs-card-grid-cards',
  templateUrl: './card-grid-cards.component.html',
  imports: [
    RowComponent,
    GutterDirective,
    ColComponent,
    CardComponent,
    CardImgDirective,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective,
    CardFooterComponent
  ]
})
export class CardGridCardsComponent {
  cards = new Array(4);
}
<c-row [gutter]="4" class="mb-3" [md]="2" [xs]="1">
  @for (card of cards; track i; let i = $index) {
    <c-col>
      <c-card>
        <img cCardImg="top" src="/assets/img/angular.jpg" alt="angular">
        <c-card-body>
          <h5 cCardTitle>Card title</h5>
          <p cCardText>
            This is a wider card with supporting text below as a natural lead-in to
            additional content. This content is a little bit longer.
          </p>
        </c-card-body>
        <c-card-footer>
          <small class="text-medium-emphasis">Last updated 3 mins ago</small>
        </c-card-footer>
      </c-card>
    </c-col>
  }
</c-row>

Change it to [md]="3" and you’ll see the fourth card wraps.

import { Component } from '@angular/core';

import {
  CardBodyComponent,
  CardComponent,
  CardFooterComponent,
  CardImgDirective,
  CardTextDirective,
  CardTitleDirective,
  ColComponent,
  GutterDirective,
  RowComponent
} from '@coreui/angular';

@Component({
  selector: 'docs-card-grid-cards-2',
  templateUrl: './card-grid-cards-2.component.html',
  imports: [
    RowComponent,
    GutterDirective,
    ColComponent,
    CardComponent,
    CardImgDirective,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective,
    CardFooterComponent
  ]
})
export class CardGridCards2Component {
  cards = new Array(4).fill({ body: '' });
}
<c-row [gutter]="4" class="mb-3" [md]="3" [xs]="1">
  @for (card of cards; track i; let i = $index) {
    <c-col>
      <c-card>
        <img cCardImg="top" src="/assets/img/angular.jpg" alt="angular">
        <c-card-body>
          <h5 cCardTitle>Card title</h5>
          <p cCardText>
            This is a wider card with supporting text below as a natural lead-in to
            additional content. This content is a little bit longer.
          </p>
        </c-card-body>
        <c-card-footer>
          <small class="text-medium-emphasis">Last updated 3 mins ago</small>
        </c-card-footer>
      </c-card>
    </c-col>
  }
</c-row>

When you need equal height, add .h-100 to the cards. If you want equal heights by default, you can set $card-height: 100% in Sass.

import { Component, OnInit } from '@angular/core';

import {
  CardBodyComponent,
  CardComponent,
  CardImgDirective,
  CardTextDirective,
  CardTitleDirective,
  ColComponent,
  GutterDirective,
  RowComponent
} from '@coreui/angular';

@Component({
  selector: 'docs-card-grid-cards-3',
  templateUrl: './card-grid-cards-3.component.html',
  imports: [
    RowComponent,
    GutterDirective,
    ColComponent,
    CardComponent,
    CardImgDirective,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective
  ]
})
export class CardGridCards3Component implements OnInit {
  cards = new Array(4).fill({ body: '' });

  ngOnInit(): void {
    this.cards[0] = {
      body: 'This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.'
    };
    this.cards[1] = { body: 'This card has supporting text below as a natural lead-in to additional content.' };
    this.cards[2] = {
      body: 'This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.'
    };
    this.cards[3] = {
      body: 'This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.'
    };
  }
}
<c-row [gutter]="4" class="mb-3" [md]="3" [xs]="1">
  @for (card of cards; track i; let i = $index) {
    <c-col>
      <c-card class="h-100">
        <img cCardImg="top" src="/assets/img/angular.jpg" alt="angular">
        <c-card-body>
          <h5 cCardTitle>Card title</h5>
          <p cCardText>
            {{ card.body }}
          </p>
        </c-card-body>
      </c-card>
    </c-col>
  }
</c-row>

Just like with card groups, card footers will automatically line up.

import { Component, OnInit } from '@angular/core';
import {
  CardBodyComponent,
  CardComponent,
  CardFooterComponent,
  CardImgDirective,
  CardTextDirective,
  CardTitleDirective,
  ColComponent,
  GutterDirective,
  RowComponent
} from '@coreui/angular';

@Component({
  selector: 'docs-card-grid-cards-4',
  templateUrl: './card-grid-cards-4.component.html',
  imports: [
    RowComponent,
    GutterDirective,
    ColComponent,
    CardComponent,
    CardImgDirective,
    CardBodyComponent,
    CardTitleDirective,
    CardTextDirective,
    CardFooterComponent
  ]
})
export class CardGridCards4Component implements OnInit {
  cards = new Array(4).fill({ body: '' });

  ngOnInit(): void {
    this.cards[0] = {
      body: 'This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.'
    };
    this.cards[1] = { body: 'This card has supporting text below as a natural lead-in to additional content.' };
    this.cards[2] = {
      body: 'This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.'
    };
    this.cards[3] = {
      body: 'This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.'
    };
  }
}
<c-row [gutter]="4" class="mb-3" [md]="3" [xs]="1">
  @for (card of cards; track i; let i = $index) {
    <c-col>
      <c-card class="h-100">
        <img cCardImg="top" src="/assets/img/angular.jpg" alt="angular">
        <c-card-body>
          <h5 cCardTitle>Card title</h5>
          <p cCardText>
            {{ card.body }}
          </p>
        </c-card-body>
        <c-card-footer>
          <small class="text-medium-emphasis">Last updated {{ i + 10 }} mins ago</small>
        </c-card-footer>
      </c-card>
    </c-col>
  }
</c-row>

API reference

CardModule

import { CardModule } from '@coreui/angular';

@NgModule({
    imports: [CardModule,]
})
export class AppModule() { }

c-card

component

jsx
import { CardComponent } from '@coreui/angular'
PropertyDefaultType
color-string

Sets the color context of the component to one of CoreUI’s themed colors.

textBgColor5.0.0+-string

Sets the component's color scheme to one of CoreUI themed colors, ensuring the text color contrast adheres to the WCAG 4.5:1 contrast ratio standard for accessibility. via TextBgColorDirective

textColor-string

Sets the text color context of the component to one of CoreUI’s themed colors. via TextColorDirective

c-card-body

component

jsx
import { CardBodyComponent } from '@coreui/angular'

component

jsx
import { CardFooterComponent } from '@coreui/angular'

c-card-header

component

jsx
import { CardHeaderComponent } from '@coreui/angular'

c-card-group

component

jsx
import { CardGroupComponent } from '@coreui/angular'

c-card-img-overlay

component

jsx
import { CardImgOverlayComponent } from '@coreui/angular'

cCardImg

directive

jsx
import { CardImgDirective } from '@coreui/angular'
PropertyDefaultType
cCardImgundefined'top', 'bottom', 'start', 'end'

Optionally orientate the image to the top, bottom, or make it overlaid across the card.

directive

jsx
import { CardLinkDirective } from '@coreui/angular'

cCardSubtitle

directive

jsx
import { CardSubtitleDirective } from '@coreui/angular'

cCardText

directive

jsx
import { CardTextDirective } from '@coreui/angular'

cCardTitle

directive

jsx
import { CardTitleDirective } from '@coreui/angular'

Vue Card Component

Card

Vue card component provides a flexible and extensible container for displaying content. Card is delivered with a bunch of variants and options.

Available in Other JavaScript Frameworks

CoreUI Vue Card Component is also available for Angular, Bootstrap, and React. Explore framework-specific implementations below:

About

A Vue card component is a content container. It incorporates options for images, headers, and footers, a wide variety of content, contextual background colors, and excellent display options.

Example

Cards are built with as little markup and styles as possible but still manage to deliver a bunch of control and customization. Built with flexbox, they offer easy alignment and mix well with other CoreUI components. Cards have no top, left, and right margins by default, so use spacing utilities as needed. They have no fixed width to start, so they’ll fill the full width of its parent.

Below is an example of a basic card with mixed content and a fixed width. Cards have no fixed width to start, so they’ll naturally fill the full width of its parent element.

vue
<template>
  <CCard style="width: 18rem">
    <CCardImage orientation="top" src="/assets/img/vue.jpg" />
    <CCardBody>
      <CCardTitle>Card title</CCardTitle>
      <CCardText
        >Some quick example text to build on the card title and make up the bulk of the card's
        content.</CCardText
      >
      <CButton color="primary" href="#">Go somewhere</CButton>
    </CCardBody>
  </CCard>
</template>

<script setup>
import { CCard, CCardImage, CCardBody, CCardTitle, CCardText, CButton } from '@coreui/vue'
</script>

Content types

CoreUI card supports a wide variety of content, including images, text, list groups, links, and more. Below are examples of those elements.

Body

The main block of a card is the <CCardBody>. Use it whenever you need a padded section within a card.

vue
<template>
  <CCard>
    <CCardBody> This is some text within a card body. </CCardBody>
  </CCard>
</template>

<script setup>
import { CCard, CCardBody } from '@coreui/vue'
</script>

Card titles are managed by <CCardTitle> component. Identically, links are attached and collected next to each other by <CCardLink> component.

Subtitles are managed by <CCardSubtitle> component. If the <CCardTitle> also, the <CCardSubtitle> items are stored in a <CCardBody> item, the card title, and subtitle are arranged rightly.

vue
<template>
  <CCard style="width: 18rem">
    <CCardBody>
      <CCardTitle>Card title</CCardTitle>
      <CCardSubtitle class="mb-2 text-body-secondary">Card subtitle</CCardSubtitle>
      <CCardText
        >Some quick example text to build on the card title and make up the bulk of the card's
        content.</CCardText
      >
      <CCardLink href="#">Card link</CCardLink>
      <CCardLink href="#">Another link</CCardLink>
    </CCardBody>
  </CCard>
</template>

<script setup>
import { CCard, CCardBody, CCardTitle, CCardSubtitle, CCardText, CCardLink } from '@coreui/vue'
</script>

Images

.card-img-top places a picture to the top of the card. With .card-text, text can be added to the card. Text within .card-text can additionally be styled with the regular HTML tags.

vue
<template>
  <CCard style="width: 18rem">
    <CCardImage orientation="top" src="/assets/img/vue.jpg" />
    <CCardBody>
      <CCardText
        >Some quick example text to build on the card title and make up the bulk of the card's
        content.</CCardText
      >
    </CCardBody>
  </CCard>
</template>

<script setup>
import { CCard, CCardImage, CCardBody, CCardText } from '@coreui/vue'
</script>

List groups

Create lists of content in a card with a flush list group.

vue
<template>
  <CCard style="width: 18rem">
    <CListGroup flush>
      <CListGroupItem>Cras justo odio</CListGroupItem>
      <CListGroupItem>Dapibus ac facilisis in</CListGroupItem>
      <CListGroupItem>Vestibulum at eros</CListGroupItem>
    </CListGroup>
  </CCard>
</template>

<script setup>
import { CCard, CListGroup, CListGroupItem } from '@coreui/vue'
</script>
vue
<template>
  <CCard style="width: 18rem">
    <CCardHeader>Header</CCardHeader>
    <CListGroup flush>
      <CListGroupItem>Cras justo odio</CListGroupItem>
      <CListGroupItem>Dapibus ac facilisis in</CListGroupItem>
      <CListGroupItem>Vestibulum at eros</CListGroupItem>
    </CListGroup>
  </CCard>
</template>

<script setup>
import { CCard, CCardHeader, CListGroup, CListGroupItem } from '@coreui/vue'
</script>
vue
<template>
  <CCard style="width: 18rem">
    <CListGroup flush>
      <CListGroupItem>Cras justo odio</CListGroupItem>
      <CListGroupItem>Dapibus ac facilisis in</CListGroupItem>
      <CListGroupItem>Vestibulum at eros</CListGroupItem>
    </CListGroup>
    <CCardFooter>Footer</CCardFooter>
  </CCard>
</template>

<script setup>
import { CCard, CListGroup, CListGroupItem, CCardFooter } from '@coreui/vue'
</script>

Kitchen sink

Combine and match many content types to build the card you need, or throw everything in there. Shown below are image styles, blocks, text styles, and a list group—all wrapped in a fixed-width card.

vue
<template>
  <CCard style="width: 18rem">
    <CCardImage orientation="top" src="/assets/img/vue.jpg" />
    <CCardBody>
      <CCardTitle>Card title</CCardTitle>
      <CCardText
        >Some quick example text to build on the card title and make up the bulk of the card's
        content.</CCardText
      >
    </CCardBody>
    <CListGroup flush>
      <CListGroupItem>Cras justo odio</CListGroupItem>
      <CListGroupItem>Dapibus ac facilisis in</CListGroupItem>
      <CListGroupItem>Vestibulum at eros</CListGroupItem>
    </CListGroup>
    <CCardBody>
      <CCardLink href="#">Card link</CCardLink>
      <CCardLink href="#">Another link</CCardLink>
    </CCardBody>
  </CCard>
</template>

<script setup>
import {
  CCard,
  CCardImage,
  CCardBody,
  CCardTitle,
  CCardText,
  CListGroup,
  CListGroupItem,
  CCardLink,
} from '@coreui/vue'
</script>

Add an optional header and/or footer within a card.

vue
<template>
  <CCard>
    <CCardHeader>Header</CCardHeader>
    <CCardBody>
      <CCardTitle>Special title treatment</CCardTitle>
      <CCardText>With supporting text below as a natural lead-in to additional content.</CCardText>
      <CButton color="primary" href="#">Go somewhere</CButton>
    </CCardBody>
  </CCard>
</template>

<script setup>
import { CCard, CCardHeader, CCardBody, CCardTitle, CCardText, CButton } from '@coreui/vue'
</script>

Card headers can be styled by adding ex. as="h5".

vue
<template>
  <CCard>
    <CCardHeader as="h5">Header</CCardHeader>
    <CCardBody>
      <CCardTitle>Special title treatment</CCardTitle>
      <CCardText>With supporting text below as a natural lead-in to additional content.</CCardText>
      <CButton color="primary" href="#">Go somewhere</CButton>
    </CCardBody>
  </CCard>
</template>

<script setup>
import { CCard, CCardHeader, CCardBody, CCardTitle, CCardText, CButton } from '@coreui/vue'
</script>
vue
<template>
  <CCard>
    <CCardHeader>Quote</CCardHeader>
    <CCardBody>
      <blockquote class="blockquote mb-0">
        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
        <footer class="blockquote-footer">
          Someone famous in <cite title="Source Title">Source Title</cite>
        </footer>
      </blockquote>
    </CCardBody>
  </CCard>
</template>

<script setup>
import { CCard, CCardHeader, CCardBody } from '@coreui/vue'
</script>
vue
<template>
  <CCard class="text-center">
    <CCardHeader>Header</CCardHeader>
    <CCardBody>
      <CCardTitle>Special title treatment</CCardTitle>
      <CCardText>With supporting text below as a natural lead-in to additional content.</CCardText>
      <CButton color="primary" href="#">Go somewhere</CButton>
    </CCardBody>
    <CCardFooter class="text-body-secondary">2 days ago</CCardFooter>
  </CCard>
</template>

<script setup>
import {
  CCard,
  CCardHeader,
  CCardBody,
  CCardTitle,
  CCardText,
  CButton,
  CCardFooter,
} from '@coreui/vue'
</script>

Sizing

Cards assume no specific width to start, so they’ll be 100% wide unless otherwise stated. You can adjust this as required with custom CSS, grid classes, grid Sass mixins, or services.

Using grid markup

Using the grid, wrap cards in columns and rows as needed.

vue
<template>
  <CRow>
    <CCol :sm="6">
      <CCard>
        <CCardBody>
          <CCardTitle>Special title treatment</CCardTitle>
          <CCardText
            >With supporting text below as a natural lead-in to additional content.</CCardText
          >
          <CButton color="primary" href="#">Go somewhere</CButton>
        </CCardBody>
      </CCard>
    </CCol>
    <CCol :sm="6">
      <CCard>
        <CCardBody>
          <CCardTitle>Special title treatment</CCardTitle>
          <CCardText
            >With supporting text below as a natural lead-in to additional content.</CCardText
          >
          <CButton color="primary" href="#">Go somewhere</CButton>
        </CCardBody>
      </CCard>
    </CCol>
  </CRow>
</template>

<script setup>
import { CRow, CCol, CCard, CCardBody, CCardTitle, CCardText, CButton } from '@coreui/vue'
</script>

Using utilities

Use some of available sizing utilities to rapidly set a card’s width.

vue
<template>
  <CCard class="w-75">
    <CCardBody>
      <CCardTitle>Card title</CCardTitle>
      <CCardText>With supporting text below as a natural lead-in to additional content.</CCardText>
      <CButton color="primary" href="#">Go somewhere</CButton>
    </CCardBody>
  </CCard>
  <CCard class="w-50">
    <CCardBody>
      <CCardTitle>Card title</CCardTitle>
      <CCardText>With supporting text below as a natural lead-in to additional content.</CCardText>
      <CButton color="primary" href="#">Go somewhere</CButton>
    </CCardBody>
  </CCard>
</template>

<script setup>
import { CCard, CCardBody, CCardTitle, CCardText, CButton } from '@coreui/vue'
</script>

Using custom CSS

Use custom CSS in your stylesheets or as inline styles to set a width.

vue
<template>
  <CCard style="width: 18rem">
    <CCardBody>
      <CCardTitle>Special title treatment</CCardTitle>
      <CCardText>With supporting text below as a natural lead-in to additional content.</CCardText>
      <CButton color="primary" href="#">Go somewhere</CButton>
    </CCardBody>
  </CCard>
</template>

<script setup>
import { CCard, CCardBody, CCardTitle, CCardText, CButton } from '@coreui/vue'
</script>

Text alignment

You can instantly change the text arrangement of any card—in its whole or specific parts—with text align classes.

vue
<template>
  <CCard style="width: 18rem">
    <CCardBody>
      <CCardTitle>Special title treatment</CCardTitle>
      <CCardText>With supporting text below as a natural lead-in to additional content.</CCardText>
      <CButton color="primary" href="#">Go somewhere</CButton>
    </CCardBody>
  </CCard>
  <CCard class="text-center" style="width: 18rem">
    <CCardBody>
      <CCardTitle>Special title treatment</CCardTitle>
      <CCardText>With supporting text below as a natural lead-in to additional content.</CCardText>
      <CButton color="primary" href="#">Go somewhere</CButton>
    </CCardBody>
  </CCard>
  <CCard class="text-end" style="width: 18rem">
    <CCardBody>
      <CCardTitle>Special title treatment</CCardTitle>
      <CCardText>With supporting text below as a natural lead-in to additional content.</CCardText>
      <CButton color="primary" href="#">Go somewhere</CButton>
    </CCardBody>
  </CCard>
</template>

<script setup>
import { CCard, CCardBody, CCardTitle, CCardText, CButton } from '@coreui/vue'
</script>

Add some navigation to a <CCardHeader> with our <CNav> component.

vue
<template>
  <CCard class="text-center">
    <CCardHeader>
      <CNav variant="tabs" class="card-header-tabs">
        <CNavItem>
          <CNavLink href="#" active> Active </CNavLink>
        </CNavItem>
        <CNavItem>
          <CNavLink href="#"> Link </CNavLink>
        </CNavItem>
        <CNavItem>
          <CNavLink href="#" disabled> Disabled </CNavLink>
        </CNavItem>
      </CNav>
    </CCardHeader>
    <CCardBody>
      <CCardTitle>Special title treatment</CCardTitle>
      <CCardText>With supporting text below as a natural lead-in to additional content.</CCardText>
      <CButton color="primary" href="#">Go somewhere</CButton>
    </CCardBody>
  </CCard>
</template>

<script setup>
import {
  CCard,
  CCardHeader,
  CNav,
  CNavItem,
  CNavLink,
  CCardBody,
  CCardTitle,
  CCardText,
  CButton,
} from '@coreui/vue'
</script>
vue
<template>
  <CCard class="text-center">
    <CCardHeader>
      <CNav variant="pills" class="card-header-pills">
        <CNavItem>
          <CNavLink href="#" active> Active </CNavLink>
        </CNavItem>
        <CNavItem>
          <CNavLink href="#"> Link </CNavLink>
        </CNavItem>
        <CNavItem>
          <CNavLink href="#" disabled> Disabled </CNavLink>
        </CNavItem>
      </CNav>
    </CCardHeader>
    <CCardBody>
      <CCardTitle>Special title treatment</CCardTitle>
      <CCardText>With supporting text below as a natural lead-in to additional content.</CCardText>
      <CButton color="primary" href="#">Go somewhere</CButton>
    </CCardBody>
  </CCard>
</template>

<script setup>
import {
  CCard,
  CCardHeader,
  CNav,
  CNavItem,
  CNavLink,
  CCardBody,
  CCardTitle,
  CCardText,
  CButton,
} from '@coreui/vue'
</script>

Images

Cards introduce several options for acting with images. Pick from appending “image caps” at either end of a card, overlaying images with content, or just inserting the image in a card.

Image caps

Similar to headers and footers, cards can include top and bottom “image caps”—images at the top or bottom of a card.

vue
<template>
  <CCard class="mb-3">
    <CCardImage orientation="top" src="/assets/img/vue.jpg" />
    <CCardBody>
      <CCardTitle>Card title</CCardTitle>
      <CCardText
        >This is a wider card with supporting text below as a natural lead-in to additional content.
        This content is a little bit longer.</CCardText
      >
      <CCardText><small class="text-body-secondary">Last updated 3 mins ago</small></CCardText>
    </CCardBody>
  </CCard>
  <CCard class="mb-3">
    <CCardBody>
      <CCardTitle>Card title</CCardTitle>
      <CCardText
        >This is a wider card with supporting text below as a natural lead-in to additional content.
        This content is a little bit longer.</CCardText
      >
      <CCardText><small class="text-body-secondary">Last updated 3 mins ago</small></CCardText>
    </CCardBody>
    <CCardImage orientation="bottom" src="/assets/img/vue.jpg" />
  </CCard>
</template>

<script setup>
import { CCard, CCardImage, CCardBody, CCardTitle, CCardText } from '@coreui/vue'
</script>

Image overlays

Adapt an image into a background and overlay your text. Depending on the image, you may need additional styles or utilities.

vue
<template>
  <CCard class="mb-3 bg-dark text-white">
    <CCardImage src="/assets/img/vue.jpg" />
    <CCardImageOverlay>
      <CCardTitle>Card title</CCardTitle>
      <CCardText
        >This is a wider card with supporting text below as a natural lead-in to additional content.
        This content is a little bit longer.</CCardText
      >
      <CCardText>Last updated 3 mins ago</CCardText>
    </CCardImageOverlay>
  </CCard>
</template>

<script setup>
import { CCard, CCardImage, CCardImageOverlay, CCardTitle, CCardText } from '@coreui/vue'
</script>

Horizontal

Using a combination of grid and utility classes, cards can be made horizontal in a mobile-friendly and responsive way. In the example below, we remove the grid gutters with .g-0 and use .col-md-* classes to make the card horizontal at the md breakpoint. Further adjustments may be needed depending on your card content.

vue
<template>
  <CCard class="mb-3" style="max-width: 540px">
    <CRow class="g-0">
      <CCol :md="4">
        <CImage class="rounded-start" fluid src="/assets/img/vue.jpg" />
      </CCol>
      <CCol :md="8">
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText
            >This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.</CCardText
          >
          <CCardText><small class="text-body-secondary">Last updated 3 mins ago</small></CCardText>
        </CCardBody>
      </CCol>
    </CRow>
  </CCard>
</template>

<script setup>
import { CCard, CRow, CCol, CImage, CCardBody, CCardTitle, CCardText } from '@coreui/vue'
</script>

Card styles

Cards include various options for customizing their backgrounds, borders, and color.

Background and color

Use color property to change the appearance of a card.

vue
<template>
  <template
    v-for="item in [
      { color: 'primary', textColor: 'white' },
      { color: 'secondary', textColor: 'white' },
      { color: 'success', textColor: 'white' },
      { color: 'danger', textColor: 'white' },
      { color: 'warning' },
      { color: 'info', textColor: 'white' },
      { color: 'light' },
      { color: 'dark', textColor: 'white' },
    ]"
    :key="item.color"
  >
    <CCard :color="item.color" :text-color="item.textColor" class="mb-3" style="max-width: 18rem">
      <CCardHeader>Header</CCardHeader>
      <CCardBody>
        <CCardTitle>{{ item.color }} card title</CCardTitle>
        <CCardText
          >Some quick example text to build on the card title and make up the bulk of the card's
          content.</CCardText
        >
      </CCardBody>
    </CCard>
  </template>
</template>

<script setup>
import { CCard, CCardHeader, CCardBody, CCardTitle, CCardText } from '@coreui/vue'
</script>

You can also apply contextual variations with the textBgColor property, which automatically sets the text color to ensure compliance with the WCAG 4.5:1 contrast ratio standard for enhanced accessibility.

vue
<template>
  <template
    v-for="item in [
      { color: 'primary' },
      { color: 'secondary' },
      { color: 'success' },
      { color: 'danger' },
      { color: 'warning' },
      { color: 'info' },
      { color: 'light' },
      { color: 'dark' },
    ]"
    :key="item.color"
  >
    <CCard :text-bg-color="item.color" class="mb-3" style="max-width: 18rem">
      <CCardHeader>Header</CCardHeader>
      <CCardBody>
        <CCardTitle>{{ item.color }} card title</CCardTitle>
        <CCardText
          >Some quick example text to build on the card title and make up the bulk of the card's
          content.</CCardText
        >
      </CCardBody>
    </CCard>
  </template>
</template>

<script setup>
import { CCard, CCardHeader, CCardBody, CCardTitle, CCardText } from '@coreui/vue'
</script>

Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the .visually-hidden class.

Border

Use border utilities to change just the border-color of a card. Note that you can set text-color property on the <CCard> or a subset of the card’s contents as shown below.

vue
<template>
  <template
    v-for="item in [
      { color: 'primary', textColor: 'primary' },
      { color: 'secondary', textColor: 'secondary' },
      { color: 'success', textColor: 'success' },
      { color: 'danger', textColor: 'danger' },
      { color: 'warning', textColor: 'warning' },
      { color: 'info', textColor: 'info' },
      { color: 'light' },
      { color: 'dark' },
    ]"
    :key="item.color"
  >
    <CCard
      :text-color="item.textColor"
      class="mb-3"
      :class="'border-' + item.color"
      style="max-width: 18rem"
    >
      <CCardHeader>Header</CCardHeader>
      <CCardBody>
        <CCardTitle>{{ item.color }} card title</CCardTitle>
        <CCardText
          >Some quick example text to build on the card title and make up the bulk of the card's
          content.</CCardText
        >
      </CCardBody>
    </CCard>
  </template>
</template>

<script setup>
import { CCard, CCardHeader, CCardBody, CCardTitle, CCardText } from '@coreui/vue'
</script>

Top border

vue
<template>
  <template
    v-for="item in [
      { color: 'primary', textColor: 'primary' },
      { color: 'secondary', textColor: 'secondary' },
      { color: 'success', textColor: 'success' },
      { color: 'danger', textColor: 'danger' },
      { color: 'warning', textColor: 'warning' },
      { color: 'info', textColor: 'info' },
      { color: 'light' },
      { color: 'dark' },
    ]"
    :key="item.color"
  >
    <CCard
      :text-color="item.textColor"
      class="mb-3 border-top-3"
      :class="'border-top-' + item.color"
      style="max-width: 18rem"
    >
      <CCardHeader>Header</CCardHeader>
      <CCardBody>
        <CCardTitle>{{ item.color }} card title</CCardTitle>
        <CCardText
          >Some quick example text to build on the card title and make up the bulk of the card's
          content.</CCardText
        >
      </CCardBody>
    </CCard>
  </template>
</template>

<script setup>
import { CCard, CCardHeader, CCardBody, CCardTitle, CCardText } from '@coreui/vue'
</script>

Card layout

In addition to styling the content within cards, CoreUI includes a few options for laying out series of cards. For the time being, these layout options are not yet responsive.

Card groups

Use card groups to render cards as a single, attached element with equal width and height columns. Card groups start off stacked and use display: flex; to become attached with uniform dimensions starting at the sm breakpoint.

vue
<template>
  <CCardGroup>
    <CCard>
      <CCardImage orientation="top" src="/assets/img/vue.jpg" />
      <CCardBody>
        <CCardTitle>Card title</CCardTitle>
        <CCardText
          >This is a wider card with supporting text below as a natural lead-in to additional
          content. This content is a little bit longer.</CCardText
        >
        <CCardText><small class="text-body-secondary">Last updated 3 mins ago</small></CCardText>
      </CCardBody>
    </CCard>
    <CCard>
      <CCardImage orientation="top" src="/assets/img/vue.jpg" />
      <CCardBody>
        <CCardTitle>Card title</CCardTitle>
        <CCardText
          >This card has supporting text below as a natural lead-in to additional
          content.</CCardText
        >
        <CCardText><small class="text-body-secondary">Last updated 3 mins ago</small></CCardText>
      </CCardBody>
    </CCard>
    <CCard>
      <CCardImage orientation="top" src="/assets/img/vue.jpg" />
      <CCardBody>
        <CCardTitle>Card title</CCardTitle>
        <CCardText
          >This is a wider card with supporting text below as a natural lead-in to additional
          content. This card has even longer content than the first to show that equal height
          action.</CCardText
        >
        <CCardText><small class="text-body-secondary">Last updated 3 mins ago</small></CCardText>
      </CCardBody>
    </CCard>
  </CCardGroup>
</template>

<script setup>
import { CCardGroup, CCard, CCardImage, CCardBody, CCardTitle, CCardText } from '@coreui/vue'
</script>

When using card groups with footers, their content will automatically line up.

vue
<template>
  <CCardGroup>
    <CCard>
      <CCardImage orientation="top" src="/assets/img/vue.jpg" />
      <CCardBody>
        <CCardTitle>Card title</CCardTitle>
        <CCardText
          >This is a wider card with supporting text below as a natural lead-in to additional
          content. This content is a little bit longer.</CCardText
        >
      </CCardBody>
      <CCardFooter><small class="text-body-secondary">Last updated 3 mins ago</small></CCardFooter>
    </CCard>
    <CCard>
      <CCardImage orientation="top" src="/assets/img/vue.jpg" />
      <CCardBody>
        <CCardTitle>Card title</CCardTitle>
        <CCardText
          >This card has supporting text below as a natural lead-in to additional
          content.</CCardText
        >
      </CCardBody>
      <CCardFooter><small class="text-body-secondary">Last updated 3 mins ago</small></CCardFooter>
    </CCard>
    <CCard>
      <CCardImage orientation="top" src="/assets/img/vue.jpg" />
      <CCardBody>
        <CCardTitle>Card title</CCardTitle>
        <CCardText
          >This is a wider card with supporting text below as a natural lead-in to additional
          content. This card has even longer content than the first to show that equal height
          action.</CCardText
        >
      </CCardBody>
      <CCardFooter><small class="text-body-secondary">Last updated 3 mins ago</small></CCardFooter>
    </CCard>
  </CCardGroup>
</template>

<script setup>
import {
  CCardGroup,
  CCard,
  CCardImage,
  CCardBody,
  CCardTitle,
  CCardText,
  CCardFooter,
} from '@coreui/vue'
</script>

Grid cards

Use the CRow component and set :xs|sm|md|lg|xl|xxl="{ cols: * }" property to control how many grid columns (wrapped around your cards) you show per row. For example, here’s :xs="{cols: 1}" laying out the cards on one column, and :md="{cols: 2}" splitting four cards to equal width across multiple rows, from the medium breakpoint up.

vue
<template>
  <CRow :xs="{ cols: 1, gutter: 4 }" :md="{ cols: 2 }">
    <CCol xs>
      <CCard>
        <CCardImage orientation="top" src="/assets/img/vue.jpg" />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText
            >This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.</CCardText
          >
        </CCardBody>
        <CCardFooter
          ><small class="text-body-secondary">Last updated 3 mins ago</small></CCardFooter
        >
      </CCard>
    </CCol>
    <CCol xs>
      <CCard>
        <CCardImage orientation="top" src="/assets/img/vue.jpg" />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText
            >This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.</CCardText
          >
        </CCardBody>
        <CCardFooter
          ><small class="text-body-secondary">Last updated 3 mins ago</small></CCardFooter
        >
      </CCard>
    </CCol>
    <CCol xs>
      <CCard>
        <CCardImage orientation="top" src="/assets/img/vue.jpg" />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText
            >This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.</CCardText
          >
        </CCardBody>
        <CCardFooter
          ><small class="text-body-secondary">Last updated 3 mins ago</small></CCardFooter
        >
      </CCard>
    </CCol>
    <CCol xs>
      <CCard>
        <CCardImage orientation="top" src="/assets/img/vue.jpg" />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText
            >This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.</CCardText
          >
        </CCardBody>
        <CCardFooter
          ><small class="text-body-secondary">Last updated 3 mins ago</small></CCardFooter
        >
      </CCard>
    </CCol>
  </CRow>
</template>

<script setup>
import {
  CRow,
  CCol,
  CCard,
  CCardImage,
  CCardBody,
  CCardTitle,
  CCardText,
  CCardFooter,
} from '@coreui/vue'
</script>

Change it to :md="{ cols: 3}" and you’ll see the fourth card wrap.

vue
<template>
  <CRow :xs="{ cols: 1, gutter: 4 }" :md="{ cols: 3 }">
    <CCol xs>
      <CCard>
        <CCardImage orientation="top" src="/assets/img/vue.jpg" />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText
            >This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.</CCardText
          >
        </CCardBody>
        <CCardFooter
          ><small class="text-body-secondary">Last updated 3 mins ago</small></CCardFooter
        >
      </CCard>
    </CCol>
    <CCol xs>
      <CCard>
        <CCardImage orientation="top" src="/assets/img/vue.jpg" />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText
            >This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.</CCardText
          >
        </CCardBody>
        <CCardFooter
          ><small class="text-body-secondary">Last updated 3 mins ago</small></CCardFooter
        >
      </CCard>
    </CCol>
    <CCol xs>
      <CCard>
        <CCardImage orientation="top" src="/assets/img/vue.jpg" />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText
            >This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.</CCardText
          >
        </CCardBody>
        <CCardFooter
          ><small class="text-body-secondary">Last updated 3 mins ago</small></CCardFooter
        >
      </CCard>
    </CCol>
    <CCol xs>
      <CCard>
        <CCardImage orientation="top" src="/assets/img/vue.jpg" />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText
            >This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.</CCardText
          >
        </CCardBody>
        <CCardFooter
          ><small class="text-body-secondary">Last updated 3 mins ago</small></CCardFooter
        >
      </CCard>
    </CCol>
  </CRow>
</template>

<script setup>
import {
  CRow,
  CCol,
  CCard,
  CCardImage,
  CCardBody,
  CCardTitle,
  CCardText,
  CCardFooter,
} from '@coreui/vue'
</script>

When you need equal height, add .h-100 to the cards. If you want equal heights by default, you can set $card-height: 100% in Sass.

vue
<template>
  <CRow :xs="{ cols: 1, gutter: 4 }" :md="{ cols: 3 }">
    <CCol xs>
      <CCard class="h-100">
        <CCardImage orientation="top" src="/assets/img/vue.jpg" />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText
            >This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.</CCardText
          >
        </CCardBody>
      </CCard>
    </CCol>
    <CCol xs>
      <CCard class="h-100">
        <CCardImage orientation="top" src="/assets/img/vue.jpg" />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText
            >This card has supporting text below as a natural lead-in to additional
            content.</CCardText
          >
        </CCardBody>
      </CCard>
    </CCol>
    <CCol xs>
      <CCard class="h-100">
        <CCardImage orientation="top" src="/assets/img/vue.jpg" />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText
            >This is a wider card with supporting text below as a natural lead-in to additional
            content. This card has even longer content than the first to show that equal height
            action.</CCardText
          >
        </CCardBody>
      </CCard>
    </CCol>
    <CCol xs>
      <CCard class="h-100">
        <CCardImage orientation="top" src="/assets/img/vue.jpg" />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText
            >This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.</CCardText
          >
        </CCardBody>
      </CCard>
    </CCol>
  </CRow>
</template>

<script setup>
import { CRow, CCol, CCard, CCardImage, CCardBody, CCardTitle, CCardText } from '@coreui/vue'
</script>

Just like with card groups, card footers will automatically line up.

vue
<template>
  <CRow :xs="{ cols: 1, gutter: 4 }" :md="{ cols: 3 }">
    <CCol xs>
      <CCard class="h-100">
        <CCardImage orientation="top" src="/assets/img/vue.jpg" />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText
            >This is a wider card with supporting text below as a natural lead-in to additional
            content. This content is a little bit longer.</CCardText
          >
        </CCardBody>
        <CCardFooter
          ><small class="text-body-secondary">Last updated 3 mins ago</small></CCardFooter
        >
      </CCard>
    </CCol>
    <CCol xs>
      <CCard class="h-100">
        <CCardImage orientation="top" src="/assets/img/vue.jpg" />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText
            >This card has supporting text below as a natural lead-in to additional
            content.</CCardText
          >
        </CCardBody>
        <CCardFooter
          ><small class="text-body-secondary">Last updated 3 mins ago</small></CCardFooter
        >
      </CCard>
    </CCol>
    <CCol xs>
      <CCard class="h-100">
        <CCardImage orientation="top" src="/assets/img/vue.jpg" />
        <CCardBody>
          <CCardTitle>Card title</CCardTitle>
          <CCardText
            >This is a wider card with supporting text below as a natural lead-in to additional
            content. This card has even longer content than the first to show that equal height
            action.</CCardText
          >
        </CCardBody>
        <CCardFooter
          ><small class="text-body-secondary">Last updated 3 mins ago</small></CCardFooter
        >
      </CCard>
    </CCol>
  </CRow>
</template>

<script setup>
import {
  CRow,
  CCol,
  CCard,
  CCardImage,
  CCardBody,
  CCardTitle,
  CCardText,
  CCardFooter,
} from '@coreui/vue'
</script>

Customizing

CSS variables

Vue cards use local CSS variables on .card for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

scss
--cui-card-spacer-y: #{$card-spacer-y};
--cui-card-spacer-x: #{$card-spacer-x};
--cui-card-title-spacer-y: #{$card-title-spacer-y};
--cui-card-title-color: #{$card-title-color};
--cui-card-subtitle-color: #{$card-subtitle-color};
--cui-card-border-width: #{$card-border-width};
--cui-card-border-color: #{$card-border-color};
--cui-card-border-radius: #{$card-border-radius};
--cui-card-box-shadow: #{$card-box-shadow};
--cui-card-inner-border-radius: #{$card-inner-border-radius};
--cui-card-cap-padding-y: #{$card-cap-padding-y};
--cui-card-cap-padding-x: #{$card-cap-padding-x};
--cui-card-cap-bg: #{$card-cap-bg};
--cui-card-cap-color: #{$card-cap-color};
--cui-card-height: #{$card-height};
--cui-card-color: #{$card-color};
--cui-card-bg: #{$card-bg};
--cui-card-img-overlay-padding: #{$card-img-overlay-padding};
--cui-card-group-margin: #{$card-group-margin};

How to use CSS variables

<template>
  <CCard :style="vars">...</CCard>
</template>

<script setup>
const vars = {
  '--cui-card-title-color': '#333',
  '--cui-card-cap-bg': '#f8f9fa',
}
</script>

SASS variables

scss
$card-spacer-y:                     $spacer !default;
$card-spacer-x:                     $spacer !default;
$card-title-spacer-y:               $spacer * .5 !default;
$card-title-color:                  null !default;
$card-subtitle-color:               null !default;
$card-border-width:                 var(--cui-border-width) !default;
$card-border-color:                 var(--cui-border-color-translucent) !default;
$card-border-radius:                var(--cui-border-radius) !default;
$card-box-shadow:                   null !default;
$card-inner-border-radius:          subtract($card-border-radius, $card-border-width) !default;
$card-cap-padding-y:                $card-spacer-y * .5 !default;
$card-cap-padding-x:                $card-spacer-x !default;
$card-cap-bg:                       rgba(var(--cui-body-color-rgb), .03) !default;
$card-cap-color:                    null !default;
$card-height:                       null !default;
$card-color:                        null !default;
$card-bg:                           var(--cui-body-bg) !default;
$card-img-overlay-padding:          $spacer !default;
$card-group-margin:                 $grid-gutter-width * .5 !default;

API

Check out the documentation below for a comprehensive guide to all the props you can use with the components mentioned here.